<?php

/**
 * ofertypracy actions.
 *
 * @package    sam3
 * @subpackage ofertypracy
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ofertypracyActions extends myActions
{

    public function preExecute()
    {
        $perm = ($this->getUser()->checkPermission('prac', 'edit') == 1) ? true : false;
        if(!$perm || !in_array('prac', ModulPeer::getEnabled()))
            $this->forward(sfConfig::get('sf_secure_module'), sfConfig::get('sf_secure_action'));
    }

    public function executeIndex(sfWebRequest $request)
    {
        $filters = array();
        $c = new Criteria();

        if($request->getParameter('nazwa_zawodu') != '')
        {
            $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
            $filters[] = 'nazwa zawodu';
            $c->add(OfertypracyPeer::OFERTA_NAZWA_ZAWODU, '%'.$request->getParameter('nazwa_zawodu').'%', Criteria::LIKE);
        }
        else
        {
            $this->nazwa_zawodu = '';
        }

        if($request->getParameter('nazwa_pracodawcy'))
        {
            $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
            $filters[] = 'nazwa pracodawcy';
            $c->add(OfertypracyPeer::PRACODAWCA_NAZWA, '%'.$request->getParameter('nazwa_pracodawcy').'%', Criteria::LIKE);
        }
        else
        {
            $this->nazwa_pracodawcy = '';
        }

        if($request->getParameter('status') != '' && !is_array($request->getParameter('status')))
        {
            $this->status = $request->getParameter('status');
            $filters[] = 'status';
            $c->add(OfertypracyPeer::STATUS, $request->getParameter('status'));
        }
        else
        {
            $this->status = '';
        }

        if($request->getParameter('kategoria') != '' && !is_array($request->getParameter('kategoria')))
        {
            $this->kategoria = $request->getParameter('kategoria');
            $filters[] = 'kategoria';
            $c->add(OfertypracyPeer::OFERTA_KATEGORIA, $request->getParameter('kategoria'));
        }
        else
        {
            $this->kategoria = '';
        }

        if($this->getRequestParameter('sort'))
        {
            $this->sortuj = $this->getRequestParameter('sort');

            if($request->getParameter('sort_type') == 'desc')
            {
                $this->kierunek = 'desc';
                try
                {
                    if($request->getParameter('sort') == 'pracodawca_nazwa')
                    {
                        $c->addDescendingOrderByColumn(OfertypracyPeer::PRACODAWCA_NAZWA);
                    }
                    else
                    {
                        $c->addDescendingOrderByColumn(OfertypracyPeer::translateFieldName($this->getRequestParameter('sort'), BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_COLNAME));
                    }
                }
                catch (PropelException $e)
                {
                    $c - gOrderByColumn(OfertypracyPeer::CREATED_AT);
                    $this->sortuj = 'created_at';
                }
            }
            else
            {
                $this->kierunek = 'asc';
                try
                {
                    if($request->getParameter('sort') == 'nazwa')
                    {
                        $c->addAscendingOrderByColumn(OfertypracyPeer::PRACODAWCA_NAZWA);
                    }
                    else
                    {
                        $c->addAscendingOrderByColumn(OfertypracyPeer::translateFieldName($this->getRequestParameter('sort'), BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_COLNAME));
                    }
                }
                catch (PropelException $e)
                {
                    $c - OrderByColumn(OfertypracyPeer::CREATED_AT);
                    $this->sortuj = 'created_at';
                }
            }
        }
        else
        {
            $c->addDescendingOrderByColumn(OfertypracyPeer::CREATED_AT);
            $this->sortuj = 'created_at';
            $this->kierunek = 'desc';
        }

        if($request->hasParameter('page'))
        {
            $page = $request->getParameter('page');
        }
        else
        {
            $page = 0;
        }

        $permGlobal = $this->getUSer()->checkPermission('prac_global', 'edit') == 1 ? true : false;
        $showType = $this->getUser()->getAttribute('show', null, 'prac');
        if(!$permGlobal || $showType == 'mine')
        {
            $c->add(OfertypracyPeer::UZYTKOWNIK_ID, $this->getUser()->getId());
        }

        $pager = new sfPropelPager('Ofertypracy', 20);
        $pager->setCriteria($c);
        $pager->setPage($page);
        $pager->init();
        $this->pager = $pager;
        $this->filters = $filters;
    }

    public function executeNew(sfWebRequest $request)
    {
        $this->form = new OfertypracyForm();


        $this->nazwa_zawodu = $this->nazwa_zawodu = $this->nazwa_pracodawcy =
            $this->nazwa_pracodawcy = $this->status = null;
        $this->filters = array();
    }

    public function executeCreate(sfWebRequest $request)
    {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new OfertypracyForm();

        $this->processForm($request, $this->form);

        $this->setTemplate('new');

        $this->nazwa_zawodu = $this->nazwa_zawodu = $this->nazwa_pracodawcy =
            $this->nazwa_pracodawcy = $this->status = null;
        $this->filters = array();
    }

    public function executeEdit(sfWebRequest $request)
    {
        $this->forward404Unless($ofertypracy = OfertypracyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy does not exist (%s).', $request->getParameter('id')));
        if(!$ofertypracy->canBeEditedBy($this->getUser()))
            $this->forward(sfConfig::get('sf_secure_module'), sfConfig::get('sf_secure_action'));
        $this->form = new OfertypracyForm($ofertypracy);

        $this->nazwa_zawodu = $this->nazwa_zawodu = $this->nazwa_pracodawcy =
            $this->nazwa_pracodawcy = $this->status = null;
        $this->filters = array();
    }

    public function executeUpdate(sfWebRequest $request)
    {
        $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
        $this->forward404Unless($ofertypracy = OfertypracyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy does not exist (%s).', $request->getParameter('id')));
        if(!$ofertypracy->canBeEditedBy($this->getUser()))
            $this->forward(sfConfig::get('sf_secure_module'), sfConfig::get('sf_secure_action'));
        $this->form = new OfertypracyForm($ofertypracy);

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    public function executeBatchActivate(sfWebRequest $request)
    {
        $request->checkCSRFProtection();

        $ids = $request->getParameter('ids');
        $checkPerms = new Ofertypracy();

        if($checkPerms->canBePublishedBy($this->getUser()))
        {
            $notice = 'Pomyślnie opublikowano wybrane oferty.';
        }
        else
        {
            $notice = 'Przekazano oferty do publikacji';
        }

        foreach(OfertypracyPeer::retrieveByPks($ids) as $oferta)
        {
            if(!$oferta->canBePublishedBy($this->getUser()))
            {
                $oferta->setStatus(4);
                $oferta->save();
            }
            else
            {
                $oferta->kopiujDoPub();
            }
        }

        $this->getUser()->setFlash('notice', $notice);

        $this->redirect('ofertypracy/index');
    }

    public function executeBatchDeactivate(sfWebRequest $request)
    {
        $request->checkCSRFProtection();

        $ids = $request->getParameter('ids');
        $checkPerms = new Ofertypracy();

        if($checkPerms->canBePublishedBy($this->getUser()))
        {
            $notice = 'Pomyślnie usunięto z publikacji wybrane oferty.';
        }
        else
        {
            $notice = 'Przekazano oferty do usunięcia z publikacji';
        }

        foreach(OfertypracyPeer::retrieveByPks($ids) as $oferta)
        {
            if(!$oferta->canBePublishedBy($this->getUser()))
            {
                $oferta->setStatus(6);
                $oferta->save();
            }
            else
            {
                $oferta->usunZPub();
            }
        }

        $this->getUser()->setFlash('notice', $notice);

        $this->redirect('ofertypracy/index');
    }

    public function executeBatchDelete(sfWebRequest $request)
    {
        $request->checkCSRFProtection();

        $ids = $request->getParameter('ids');
        $checkPerms = new Ofertypracy();

        if($checkPerms->canBeDeletedBy($this->getUser()))
        {
            $notice = 'Pomyślnie usunięto wybrane oferty pracy.';
        }
        else
        {
            $notice = 'Przekazano oferty do usunięcia';
        }

        foreach(OfertypracyPeer::retrieveByPks($ids) as $oferta)
        {
            if(!$oferta->canBeDeletedBy($this->getUser()))
            {
                $oferta->setStatus(3);
                $oferta->save();
            }
            else
            {
                $oferta->usunZPub();
                $oferta->delete();
            }
        }

        $this->getUser()->setFlash('notice', $notice);

        $this->redirect('ofertypracy/index');
    }

    public function executeDelete(sfWebRequest $request)
    {
        $request->checkCSRFProtection();

        $this->forward404Unless($ofertypracy = OfertypracyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy does not exist (%s).', $request->getParameter('id')));
        if(!$ofertypracy->canBeDeletedBy($this->getUser()))
        {
            $ofertypracy->setStatus(3);
            $ofertypracy->save();

            $this->getUser()->setFlash('notice', 'Przekazano ofertę pracy do usunięcia');
            $this->redirect('ofertypracy/index');
        }
        $ofertypracy->usunZPub();
        $ofertypracy->delete();

        $this->getUser()->setFlash('notice', 'Pomyślnie usunięto ofertę pracy.');
        $this->redirect('ofertypracy/index');
    }

    protected function processForm(sfWebRequest $request, sfForm $form)
    {
        $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));

        $params = $request->getParameter($form->getName());
        $safe_params = cleanValuesFromForm($form, $params);

        $form->bind($safe_params, $request->getFiles($form->getName()));
        if($form->isValid())
        {
            $ofertypracy = $form->save();

            if($form->isNew())
            {
                $ofertypracy->setUzytkownikId($this->getUser()->getId());
                //$ofertypracy->setStatus(0);
                //$ofertypracy->save();
            }
            $ofertypracy->setStatus('0');
            $ofertypracy->save();

            $this->getUser()->setFlash('notice', $this->__('Zapisano ofertę pracy'));

            $this->redirect('ofertypracy/edit?id='.$ofertypracy->getId());
        }
        else
        {
            $this->getUser()->setFlash('error', 'Formularz nie został zapisany z powodu błędów.');
        }
    }

    public function executeBatchActions(sfWebRequest $request)
    {
        if($request->isMethod('post'))
        {
            $action = $request->getParameter('batch_action');
            $elements = $request->getParameter('ids');

            if(empty($action))
            {
                $this->getUser()->setFlash('notice', 'Wybierz akcję do wykonania.');
                $this->redirect('ofertypracy/index');
            }
            elseif(empty($elements))
            {
                $this->getUser()->setFlash('notice', 'Wybierz przynajmniej jeden element.');
                $this->redirect('ofertypracy/index');
            }
            else
            {
                switch ($action)
                {
                    case 'activate':
                        $this->executeBatchActivate($request);
                        break;

                    case 'deactivate':
                        $this->executeBatchDeactivate($request);
                        break;

                    case 'delete':
                        $this->executeBatchDelete($request);
                        break;
                }
                $this->getUser()->setFlash('notice', 'Pomyślnie wykonano akcję.');
                $this->redirect('ofertypracy/index');
            }
        }
        else
        {
            $this->redirect('ofertypracy/index');
        }
    }

    public function setStatus($oferty, $status)
    {
        foreach($oferty as $ofe)
        {
            $tmp = OfertypracyPeer::retrieveByPk($ofe);

            $tmp->setStatus($status);
            $tmp->save();
        }
    }

    public function batchDelete($oferty)
    {
        foreach($oferty as $ofe)
        {
            $tmp = OfertypracyPeer::retrieveByPk($ofe);
            if($tmp)
            {
                if(!$tmp->canBeDeletedBy($this->getUser()))
                {
                    $tmp->setStatus(3);
                    $tmp->save();
                }
                else
                {
                    $tmp->delete();
                }
            }
        }
        $this->getUser()->setFlash('notice', 'Usunięto wybrane oferty');
        $this->redirect('ofertypracy/index');
    }

    public function executeAutocompletenazwazawodu(sfWebRequest $request)
    {
        $c = new Criteria();
        $c->add(OfertypracyPeer::OFERTA_NAZWA_ZAWODU, '%'.$request->getParameter('nazwa_zawodu').'%', Criteria::LIKE);
        $c->addGroupByColumn(OfertypracyPeer::OFERTA_NAZWA_ZAWODU);
        $this->nazwa_zawodu_list = OfertypracyPeer::doSelect($c);
        $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
    }

    public function executeAutocompletenazwapracodawcy(sfWebRequest $request)
    {
        $c = new Criteria();
        $c->add(OfertypracyPeer::PRACODAWCA_NAZWA, '%'.$request->getParameter('nazwa_pracodawcy').'%', Criteria::LIKE);
        $c->addGroupByColumn(OfertypracyPeer::PRACODAWCA_NAZWA);
        $this->nazwa_pracodawcy_list = OfertypracyPeer::doSelect($c);
        $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
    }

    public function executeFilter(sfWebRequest $request)
    {
        if($request->hasParameter('reset') && $request->getParameter('reset') == 'true')
        {
            $this->filters = array();
            $this->redirect('ofertypracy/index');
        }
    }

    public function executeDrukzgloszenia(sfWebRequest $request)
    {
        $druk_path = sfConfig::get('sf_upload_dir').'/ofertypracy/druk/zgloszenie.png';
        $dest_path = sfConfig::get('sf_upload_dir').'/ofertypracy/druk/temp.png';

        $font = sfConfig::get('sf_upload_dir').'/ofertypracy/druk/font.ttf';

        $image = imagecreatefrompng($druk_path);

        //$image = imagepng($im);
        $background_color = imagecolorallocate($image, 255, 255, 255);
        $black = imagecolorallocate($image, 0, 0, 0);

        $oferta = OfertypracyPeer::retrieveByPk($request->getParameter('id'));

        //imagettftext(obrazek, rozmiar czcionki, kąt, x, y, kolor, font, tekst do wyświetlenia)
        if($oferta)
        {
            //nazwa pracodawcy
            imagettftext($image, 16, 0, 70, 190, $black, $font, $oferta->getPracodawcaNazwa());
            imagettftext($image, 16, 0, 70, 220, $black, $font, '');
            //kod pocztowy
            imagettftext($image, 14, 0, 780, 185, $black, $font, $oferta->getPracodawcaKod());
            //ulica
            imagettftext($image, 14, 0, 780, 205, $black, $font, $oferta->getPracodawcaUlica());
            imagettftext($image, 14, 0, 780, 222, $black, $font, '');
            //miejscowosc
            imagettftext($image, 14, 0, 780, 250, $black, $font, $oferta->getPracodawcaMiasto());
            //gmina
            //imagettftext($image, 14, 0, 780, 270, $black, $font, $gmina);
            //email
            imagettftext($image, 14, 0, 780, 290, $black, $font, $oferta->getPracodawcaEmail());

            //forma kontaktu
            switch ($oferta->getPracodawcaFormaKontaktu())
            {
                case 0:
                    imagettftext($image, 20, 0, 635, 340, $black, $font, 'X');
                    break;
                case 1:
                    imagettftext($image, 20, 0, 910, 340, $black, $font, 'X');
                    break;
                case 2:
                    imagettftext($image, 20, 0, 635, 362, $black, $font, 'X');
                    break;
                case 3:
                    imagettftext($image, 20, 0, 910, 362, $black, $font, 'X');
                    break;
                default:
                    imagettftext($image, 20, 0, 635, 340, $black, $font, 'X');
                    break;
            }

            //nazwisko i stanowisko osoby rejestrującej pracodawce
            imagettftext($image, 14, 0, 70, 275, $black, $font, $oferta->getPracodawcaOsobaKontaktowa());
            //imagettftext($image, 14, 0, 70, 300, $black, $font, $stanowisko);
            //telefon lub inny sposób porozumiewania się
            imagettftext($image, 14, 0, 70, 335, $black, $font, $oferta->getPracodawcaTelefon());
            //forma prawna

            $formaprawna = array(
                '0' => 'Indywidualna działalność gospodarcza',
                '1' => 'Spółka cywilna',
                '2' => 'Spółka jawna',
                '3' => 'Spółka partnerska',
                '4' => 'Spółka komandytowa',
                '5' => 'Spółka komandytowo-akcyjna',
                '6' => 'Spółka z ograniczoną odpowiedzialnością',
                '7' => 'Spółka akcyjna',
                '8' => 'Spółka europejska',
                '9' => 'Inna'
            );

            imagettftext($image, 14, 0, 240, 362, $black, $font, $formaprawna[$oferta->getPracodawcaFormaPrawna()]);
            //NIP
            imagettftext($image, 18, 0, 240, 400, $black, $font, $oferta->getPracodawcaNip());
            //REGON
            imagettftext($image, 18, 0, 750, 400, $black, $font, $oferta->getPracodawcaRegon());
            //PKD
            imagettftext($image, 14, 0, 440, 437, $black, $font, $oferta->getPracodawcaRodzajDzialalnosci());
            //liczba zatrudnionych
            imagettftext($image, 14, 0, 980, 437, $black, $font, $oferta->getPracodawcaLiczbaZatrudnionych());
            //liczba wolnych miejsc pracy
            imagettftext($image, 14, 0, 1103, 489, $black, $font, $oferta->getOfertaLiczbaMiejsc());
            //w tym dla osób niepełnosprawnych
            imagettftext($image, 14, 0, 1103, 538, $black, $font, $oferta->getOfertaLiczbaMiejscNiepelnosprawni());
            //wnioskowana liczba kandydatów
            imagettftext($image, 14, 0, 1103, 596, $black, $font, $oferta->getOfertaWnioskowanaLiczbaKandydatow());
            //zmianowość
            switch ($oferta->getOfertaZmianowosc())
            {
                case 0:
                    imagettftext($image, 14, 0, 1115, 772, $black, $font, '1');
                    break;
                case 1:
                    imagettftext($image, 14, 0, 1115, 772, $black, $font, '2');
                    break;
                case 2:
                    imagettftext($image, 14, 0, 1115, 772, $black, $font, '3');
                    break;
                case 3:
                    imagettftext($image, 14, 0, 1115, 772, $black, $font, '4');
                    break;
                case 4:
                    imagettftext($image, 14, 0, 1115, 772, $black, $font, '5');
                    break;

                default:
                    imagettftext($image, 14, 0, 1115, 772, $black, $font, '');
                    break;
            }

            //rodzaj umowy

            switch ($oferta->getOfertaRodzajUmowy())
            {
                case 0:
                    imagettftext($image, 14, 0, 840, 772, $black, $font, '1');
                    break;
                case 1:
                    imagettftext($image, 14, 0, 840, 772, $black, $font, '2');
                    break;
                case 2:
                    imagettftext($image, 14, 0, 840, 772, $black, $font, '3');
                    break;
                case 3:
                    imagettftext($image, 14, 0, 840, 772, $black, $font, '4');
                    break;

                default:
                    imagettftext($image, 14, 0, 840, 772, $black, $font, '');
                    break;
            }

            //nazwa zawodu
            imagettftext($image, 14, 0, 70, 500, $black, $font, $oferta->getOfertaNazwaZawodu());
            imagettftext($image, 14, 0, 70, 530, $black, $font, '');
            //nazwa stanowiska
            imagettftext($image, 14, 0, 360, 500, $black, $font, $oferta->getOfertaNazwaStanowiska());
            imagettftext($image, 14, 0, 360, 530, $black, $font, '');
            imagettftext($image, 14, 0, 360, 560, $black, $font, '');
            imagettftext($image, 14, 0, 360, 590, $black, $font, '');
            //kod zawodu
            //imagettftext($image, 18, 0, 100, 600, $black, $font, $kod_zawodu);
            //miejsce wykonywania
            imagettftext($image, 14, 0, 70, 680, $black, $font, $oferta->getOfertaMiejsceWykonywaniaPracy());
            imagettftext($image, 14, 0, 70, 710, $black, $font, '');
            imagettftext($image, 14, 0, 70, 740, $black, $font, '');
            //dodatkowe informacje
            imagettftext($image, 14, 0, 360, 690, $black, $font, $oferta->getOfertaDodatkoweInformacje());
            imagettftext($image, 14, 0, 360, 720, $black, $font, '');
            imagettftext($image, 14, 0, 360, 750, $black, $font, '');
            //wysokość wynagrodzenia
            //imagettftext($image, 14, 0, 70, 830, $black, $font, $wynagrodzenie);
            //system wynagrodzenia
            //imagettftext($image, 14, 0, 360, 830, $black, $font, $system_wynagrodzenia);
            //data rozpoczecia
            imagettftext($image, 18, 0, 680, 835, $black, $font, $oferta->getOfertaDataRozpoczecia());
            //charakterystyka
            imagettftext($image, 14, 0, 650, 888, $black, $font, $oferta->getOfertaCharakterystykaPracy());
            imagettftext($image, 14, 0, 650, 918, $black, $font, '');
            //zasieg upowszechnienia oferty
            imagettftext($image, 14, 0, 650, 965, $black, $font, $oferta->getOfertaZasieg());
            //sposob realizacji oferty
            imagettftext($image, 14, 0, 650, 1020, $black, $font, $oferta->getSposobRealizacji());
            //wyksztalcenie
            imagettftext($image, 14, 0, 220, 895, $black, $font, $oferta->getOfertaWyksztalcenie());
            imagettftext($image, 14, 0, 120, 915, $black, $font, '');
            //staż pracy
            imagettftext($image, 14, 0, 200, 935, $black, $font, $oferta->getOfertaStazPracy());
            imagettftext($image, 14, 0, 120, 955, $black, $font, '');
            //umiejętność /specjalność
            imagettftext($image, 14, 0, 330, 977, $black, $font, $oferta->getOfertaSpecjalnosc());
            imagettftext($image, 14, 0, 120, 997, $black, $font, '');
            //inne
            imagettftext($image, 14, 0, 140, 1018, $black, $font, $oferta->getOfertaInne());

            //zapisanie obrazka do tymczasowego pliku
            imagepng($image, $dest_path);


            //wstawienie obrazka do pdfa
            sfContext::getInstance()->getConfiguration()->loadHelpers('Funkcje');
            $config = sfTCPDFPluginConfigHandler::loadConfig();

            $pdf = new sfTCPDF();
            $naglowek = 'Wygenerowano: '.date('Y-m-d/H:i:s');

            $pdf->SetFont("FreeSerif", "", 12);
            $pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
            $pdf->setHeaderFont(array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
            $pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, $naglowek);
            $pdf->setFooterFont(array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
            $pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
            $pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

            $pdf->AliasNbPages();
            $pdf->AddPage();

            $img_path = sfContext::getInstance()->getRequest()->getRelativeUrlRoot().'/uploads/ofertypracy/druk/temp.png';

            $html = '<table><tr>';
            $html .= '<td><img src="'.$img_path.'"/></td>';

            $html .= '</tr></table> ';

            $current_x = $pdf->getX();
            $current_y = $pdf->getY();
            $pdf->writeHTMLCell(180, 0, $current_x, $current_y, $html, 0, 0, 0);
            $pdf->lastPage();

            // output   
            $title = Functions::przygotujNazwe($oferta->getOfertaNazwaZawodu());
            $title .= ".pdf";
            $pdf->Output($title, 'D');
            exit();
        }
    }

    /**
     * Sets show type, all or only current user documents
     *
     * @param   sfWebRequest $request
     */
    public function executeSetShow(sfWebRequest $request)
    {
        $this->getUser()->setAttribute('show', $request->getParameter('show'), 'prac');

        $this->redirect('ofertypracy/index');
    }

    public function executeOdrzuc(sfWebRequest $request)
    {
        $this->forward404Unless($prac = OfertypracyPeer::retrieveByPk($request->getParameter('id')));
        if($prac->canBePublishedBy($this->getUser()))
        {
            $prac->setStatus(5);
            $prac->save();
            $this->getUser()->setFlash('notice', 'Pomyślnie odrzucono ofertę');
        }
        $this->redirect('ofertypracy/edit?id='.$prac->getId());
    }

    public function executePublikuj(sfWebRequest $request)
    {

        $id = $request->getParameter('id');
        $oferta = OfertypracyPeer::retrieveByPK($id);

        if($oferta)
        {
            if(!$oferta->canBePublishedBy($this->getUser()))
            {
                $oferta->setStatus(4);
                $oferta->save();

                $this->getUser()->setFlash('notice', 'Przekazano ofertę do publikacji');
                $this->redirect('ofertypracy/edit?id='.$oferta->getId());
            }
            $oferta->kopiujDoPub();
            $this->getUser()->setFlash('notice', 'Pomyślnie opublikowano ofertę!');
            $this->redirect('ofertypracy/edit?id='.$oferta->getId());
        }
        else
        {
            $this->redirect('ofertypracy/index');
        }
    }

    public function executeOdpublikuj(sfWebRequest $request)
    {

        $id = $request->getParameter('id');
        $oferta = OfertypracyPeer::retrieveByPK($id);
        $ofertaPub = OfertypracyPubPeer::retrieveByPK($id);
        if($oferta && $ofertaPub)
        {
            if(!$oferta->canBePublishedBy($this->getUser()))
            {
                $oferta->setStatus(6);
                $oferta->save();

                $this->getUser()->setFlash('notice', 'Przekazano ofertę do usunięcia z publikacji');
                $this->redirect('ofertypracy/edit?id='.$oferta->getId());
            }
            $oferta->usunZPub();
            $this->getUser()->setFlash('notice', 'Pomyślnie odpublikowano ofertę!');
            $this->redirect('ofertypracy/edit?id='.$oferta->getId());
        }
        $this->redirect('ofertypracy/index');
    }

    public function executeImport(sfWebRequest $request)
    {
        
    }

    public function executeXmlimport(sfWebRequest $request)
    {
        $file = sfConfig::get('sf_upload_dir').'/stats/praca.xml';
        //echo $file;
        $xml = simplexml_load_file($file);
        $zaimportowanych = 0;
        foreach($xml->OFERTA as $wpis)
        {
            $oferta = new Ofertypracy();
            foreach($wpis->Pole as $pole)
            {
                $atr = $pole->attributes();
                //echo $atr['Nazwa'].'->'.$atr['Wartosc'].'<br />';
                //wlasciwy import do bazy
                if($atr['Nazwa'] == 'NAZWA_PRACODAWCY')
                {
                    $oferta->setPracodawcaNazwa($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'OPISSTANOWISKA')
                {
                    $oferta->setOfertaNazwaZawodu($atr['Wartosc']);
                    $oferta->setOfertaNazwaStanowiska($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'OPISPRACY')
                {
                    $oferta->setOfertaCharakterystykaPracy($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'OSOBA_ZGL')
                {
                    $oferta->setPracodawcaOsobaKontaktowa($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'LICZBAMIEJSC')
                {
                    $oferta->setOfertaLiczbaMiejsc($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'LICZBAMIEJSCNIE')
                {
                    $oferta->setOfertaLiczbaMiejscNiepelnosprawni($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'NR_ZGLOSZENIA')
                {
                    $oferta->setOfertaNumer($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'ADRES_ZGL')
                {
                    $oferta->setPracodawcaUlica($atr['Wartosc']);
                }
                if($atr['Nazwa'] == 'ADRES_PRACY')
                {
                    $oferta->setOfertaMiejsceWykonywaniaPracy($atr['Wartosc']);
                }
            }
            $oferta->save();
            $zaimportowanych++;
        }
        $this->zaimportowanych = $zaimportowanych;

        //usuwanie ofert
        $file = sfConfig::get('sf_upload_dir').'/stats/praca_dousuniecia.xml';

        $xml = simplexml_load_file($file);
        $usunietych = 0;
        foreach($xml->OFERTA as $wpis)
        {
            $oferta = new OfertypracyPeer();
            $c = new Criteria();
            foreach($wpis->Pole as $pole)
            {
                $atr = $pole->attributes();

                if($atr['Nazwa'] == 'NR_ZGLOSZENIA')
                {
                    $c->add(OfertypracyPeer::OFERTA_NUMER, $atr['Wartosc']);
                }
            }
            $dousuniecia = $oferta->doSelectOne($c);
            if($dousuniecia)
            {
                $dousuniecia->delete();
                $usunietych++;
            }
        }
        $this->usunietych = $usunietych;
    }

    public function executeImports(sfWebRequest $request)
    {
        
    }

    public function executePulsImports(sfWebRequest $request)
    {
        
    }

    public function executeSyriuszimport(sfWebRequest $request)
    {
        $file = sfConfig::get('sf_upload_dir').'/ofertypracyimport/'.str_replace('__', '#', $request->getParameter('file'));
        $content = simplexml_load_file($file);

        if($content->Packet->PacketInfo->action == 'del')
        {
            $xml = simplexml_load_string($content->Packet->payload);
            $ile_del = 0;
            foreach($xml->PositionProfile as $profile):
                $c = new Criteria();
                $c->add(OfertypracyPeer::OFERTA_NUMER, $profile->ProfileId->PositionNumberPL);
                $oferta = OfertypracyPeer::doSelectOne($c);
                if($oferta)
                {
                    $ile_del++;
                    $oferta->delete();
                }

                $c = new Criteria();
                $c->add(OfertypracyPubPeer::OFERTA_NUMER, $profile->ProfileId->PositionNumberPL);
                $oferta_pub = OfertypracyPubPeer::doSelectOne($c);
                if($oferta_pub)
                {
                    $oferta_pub->delete();
                }
                $this->getUser()->setFlash('notice', 'Usunięto '.$ile_del.' ofert pracy');
            endforeach;

            $this->redirect('ofertypracy/imports');
        }

        if($content->Packet->PacketInfo->action == 'add')
        {
            $xml = simplexml_load_string($content->Packet->payload);

            foreach($xml->PositionProfile as $profile):

                $oferta = new Ofertypracy();

                if($profile->ProfileId['validFrom'])
                    $oferta->setPublikacjaOd($profile->ProfileId['validFrom']);
                if($profile->ProfileId['validTo'])
                    $oferta->setPublikacjaDo($profile->ProfileId['validTo']);

                $oferta->setOfertaNumer($profile->ProfileId->PositionNumberPL);

                //nazwa pracodawcy
                @$oferta->setPracodawcaNazwa($profile->Organization->OrganizationName);

                if(@$profile->Organization->ContactInfo->ContactName->GivenName)
                    @$oferta->setPracodawcaOsobaKontaktowa($profile->Organization->ContactInfo->ContactName->GivenName.' '.$profile->Organization->ContactInfo->ContactName->FamilyName);
                else
                    @$oferta->setPracodawcaOsobaKontaktowa($profile->Broker_PL->ContactInfo->ContactName->GivenName.' '.$profile->Broker_PL->ContactInfo->ContactName->FamilyName);

                if(@$profile->Organization->ContactInfo->ContactMethod->Telephone->FormattedNumber)
                    @$oferta->setPracodawcaTelefon($profile->Organization->ContactInfo->ContactMethod->Telephone->FormattedNumber);
                else
                    @$oferta->setPracodawcaTelefon($profile->Broker_PL->ContactInfo->ContactMethod->Telephone->FormattedNumber);

                if(@$profile->Broker_PL->ContactInfo->ContactMethod->Fax->FormattedNumber)
                    @$oferta->setPracodawcaFax($profile->Broker_PL->ContactInfo->ContactMethod->Fax->FormattedNumber);
                else
                    @$oferta->setPracodawcaFax($profile->Organization->ContactInfo->ContactMethod->Fax->FormattedNumber);

                if(@$profile->Broker_PL->ContactInfo->ContactMethod->InternetEmailAddress)
                    @$oferta->setPracodawcaEmail($profile->Broker_PL->ContactInfo->ContactMethod->InternetEmailAddress);
                else
                    @$oferta->setPracodawcaEmail($profile->Organization->ContactInfo->ContactMethod->InternetEmailAddress);

                //chyba miasto???
                @$oferta->setPracodawcaMiasto($profile->Broker_PL->ContactInfo->ContactMethod->PostalAddress->MunicipalityName);



                /* nowe pozycje 26.08.2010 */
                //NIP
                $oferta->setPracodawcaNip($profile->Organization->TaxId->IdValue);
                //REGON
                $oferta->setPracodawcaRegon($profile->Organization->LegalId->IdValue);
                //FORMA PRAWNA
                $oferta->setPracodawcaFormaPrawna($profile->Organization->OrgDetails_PL->LegalBasis_PL);

                //PKD
                $oferta->setPracodawcaRodzajDzialalnosci($profile->Organization->IndustryCode);

                //zmianowosc
                $oferta->setOfertaZmianowosc($profile->PositionDetail->Shift->Id->IdValue);

                //rodzaj umowy
                $oferta->setOfertaRodzajUmowy((int) $profile->PositionDetail->JobContractType_PL['type']);


                //adres miejsca pracy
                $miejsce_wykonywania = '';
                $miejsce_wykonywania .= $profile->PositionDetail->PhysicalLocation->PostalAddress->PostalCode.' ';
                $miejsce_wykonywania .= $profile->PositionDetail->PhysicalLocation->PostalAddress->DeliveryAddress->StreetName.' ';
                $miejsce_wykonywania .= $profile->PositionDetail->PhysicalLocation->PostalAddress->DeliveryAddress->BuildingNumber.' ';

                $oferta->setOfertaMiejsceWykonywaniaPracy($miejsce_wykonywania);

                /* koniec nowych pozycji */


                $oferta->setPracodawcaUlica($profile->PositionDetail->PhysicalLocation->PostalAddress->DeliveryAddress->StreetName.' '.$profile->PositionDetail->PhysicalLocation->PostalAddress->DeliveryAddress->BuildingNumber);
                $oferta->setPracodawcaKod($profile->PositionDetail->PhysicalLocation->PostalAddress->PostalCode);



                //Nazwa stanowiska
                $oferta->setOfertaNazwaStanowiska($profile->PositionDetail->PositionTitle);

                //to samo co nazwa stanowiska - moze znajdzie sie lepsza wartosc
                $oferta->setOfertaNazwaZawodu($profile->PositionDetail->PositionTitle);

                //Zakres obowiązków

                $oferta->setOfertaCharakterystykaPracy('<p>'.$profile->PositionDetail->ObligationRange_PL.'</p>');


                $inne = '';
                //kompetencje
                foreach($profile->PositionDetail->Competency as $competency):
                    $inne .= '<p>Kompetencje: '.$competency['name'].' '.$competency['description'].': '.$competency->CompetencyId['id'].'</p>';
                endforeach;
                //dodatkowe wymagania
                if($profile->PositionDetail->AdditionalRequirementsPL->Skills_PL)
                {
                    foreach($profile->PositionDetail->AdditionalRequirementsPL->Skills_PL as $additional):
                        $inne .= '<p>Dodatkowe wymagania: '.$additional->SkillDescription.'</p>';
                    endforeach;
                }

                //wynagrodzenie
                if($profile->PositionDetail->RemunerationPackage->BasePay->BasePayAmountMin)
                    $inne .= '<p>Wynagrodzenie: od '.$profile->PositionDetail->RemunerationPackage->BasePay->BasePayAmountMin.' do '.$profile->PositionDetail->RemunerationPackage->BasePay->BasePayAmountMax.'</p>';

                if($profile->PositionDetail->Shift->WorkTimeWeekPL)
                    $inne .= '<p>Tygodniowa norma czasu pracy: '.$profile->PositionDetail->Shift->WorkTimeWeekPL.'</p>';

                echo $profile->PositionDetail->HowToApply_PL->RequirementDocs_PL;

                if($profile->PositionDetail->HowToApply_PL->RequirementDocs_PL)
                    $inne .= '<p>Wymagane dokumenty: '.$profile->PositionDetail->HowToApply_PL->RequirementDocs_PL.'</p>';

                $oferta->setOfertaInne($inne);


                //echo '<br />Praca w dni wolne: '.$profile->PositionDetail->PositionSchedule_PL[WorkInFreeDaysPL];
                //echo '<br /><br />Data dodania oferty'.$profile->RegistrationDate_PL;
                //Czas rozpoczÄ™cia pracy
                $oferta->setOfertaDataRozpoczecia($profile->PositionDetail->PositionDateInfo->StartDate);

                //IloĹ›Ä‡ wolnych miejsc
                $oferta->setOfertaLiczbaMiejsc($profile->NumberOfStands_PL);


                //sposĂłb realizacji - otwarta/zamknięta
                $oferta->setSposobRealizacji($profile->DistributedtoPSZ_PL->CzyZamknieta);
                $oferta->save();

            endforeach;

            $this->getUser()->setFlash('notice', 'Zaimportowano '.count($xml->PositionProfile).' ofert pracy');
        }

        //return $this->renderText('ok');
        $this->redirect('ofertypracy/imports');
    }

    public function executeUpload(sfWebRequest $request)
    {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new ofertypracyImportuploadForm();
        $this->processUploadForm($request, $this->form);
        $this->setTemplate('imports');
    }

    protected function processUploadForm(sfWebRequest $request, sfForm $form)
    {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if($form->isValid())
        {
            $values = $form->getValues();

            if($values['file_src'] != NULL)
            {
                if(!is_dir(sfConfig::get('sf_upload_dir').'/ofertypracyimport'))
                {
                    mkdir(sfConfig::get('sf_upload_dir').'/ofertypracyimport', 0775);
                }

                $file = $values['file_src'];

                $filename = $file->getOriginalName();
                $extension = $file->getOriginalExtension();

                $file_path = sfConfig::get('sf_upload_dir').'/ofertypracyimport/'.$filename;
                $file->save($file_path);

                $this->getUser()->setFlash('notice', 'Załadowano plik na serwer');
                $this->redirect('ofertypracy/imports');
            }
        }
        else
        {
            $this->getUser()->setFlash('error', 'Niepoprawny format pliku');
        }
    }

    public function executeDeletesyriuszimport(sfWebRequest $request)
    {
        $filename = sfConfig::get('sf_upload_dir').'/ofertypracyimport/'.str_replace('__', '#', $request->getParameter('file'));
        unlink($filename);

        $this->getUser()->setFlash('notice', 'Usunięto plik importu');
        $this->redirect('ofertypracy/imports');
    }

    public function executeUploadPuls(sfWebRequest $request)
    {
        $this->forward404Unless($request->isMethod('post'));

//            echo "<pre>".print_r($_FILES,true)."</pre>";
//            exit();
        $this->form = new ofertypracyImportuploadForm();
        $this->processPulsUploadForm($request, $this->form);
        $this->setTemplate('pulsImports');
    }

    protected function processPulsUploadForm(sfWebRequest $request, sfForm $form)
    {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if($form->isValid())
        {
            $values = $form->getValues();

            if($values['file_src'] != NULL)
            {
                if(!is_dir(sfConfig::get('sf_upload_dir').'/ofertypracyimportpuls'))
                {
                    mkdir(sfConfig::get('sf_upload_dir').'/ofertypracyimportpuls', 0775);
                }

                $file = $values['file_src'];

                $filename = $file->getOriginalName();
                $extension = $file->getOriginalExtension();

                $file_path = sfConfig::get('sf_upload_dir').'/ofertypracyimportpuls/'.$filename;
                $file->save($file_path);

                $this->getUser()->setFlash('notice', 'Załadowano plik na serwer');
                $this->redirect('ofertypracy/pulsImports');
            }
        }
        else
        {
            $this->getUser()->setFlash('error', 'Niepoprawny format pliku');
        }
    }

    public function executePulsImport(sfWebRequest $request)
    {
        $file = sfConfig::get('sf_upload_dir').'/ofertypracyimportpuls/'.str_replace('__', '#', $request->getParameter('file'));

        $xml = simplexml_load_file($file);

        $ile_dodano = 0;
        $ile_del = 0;
        foreach($xml->OFERTA as $wpis):
            if($wpis->attributes()->Operacja == 'Dodaj')
            {
                $ile_dodano++;
                $oferta = new Ofertypracy();
                $inne = '';
                foreach($wpis->Pole as $pole):
                    $atr = $pole->attributes();

                    if($atr['Nazwa'] == 'DATA_OD' && $atr['Wartosc'])
                    {
                        $oferta->setPublikacjaOd($atr['Wartosc']);
                    }

                    if($atr['Nazwa'] == 'DATA_DO' && $atr['Wartosc'])
                    {
                        $oferta->setPublikacjaDo($atr['Wartosc']);
                    }

                    if($atr['Nazwa'] == 'NROFERTY' && $atr['Wartosc'])
                    {
                        $oferta->setOfertaNumer($atr['Wartosc']);
                    }
                    //nazwa pracodawcy
                    if($atr['Nazwa'] == 'NAZWA_PRACODAWCY' && $atr['Wartosc'])
                    {
                        $oferta->setPracodawcaNazwa($atr['Wartosc']);
                    }

                    if($atr['Nazwa'] == 'OSOBA_ZGL' && (!empty($atr['Wartosc'])))
                    {
                        @$oferta->setPracodawcaOsobaKontaktowa($atr['Wartosc']);
                    }
                    else
                    {
                        if($atr['Nazwa'] == 'RP_NAZWISKO' && $atr['Wartosc'] != '')
                        {
                            $nazwisko = $atr['Wartosc'];
                        }
                        else
                        {
                            $nazwisko = '';
                        }

                        if($atr['Nazwa'] == 'RP_IMIE' && $atr['Wartosc'] != '')
                        {
                            $imie = ' '.$atr['Wartosc'];
                        }
                        else
                        {
                            $imie = '';
                        }
                        if(!empty($nazwisko) || !empty($imie))
                        {
                            $oferta->setPracodawcaOsobaKontaktowa($nazwisko.$imie);
                        }
                    }

                    if($atr['Nazwa'] == 'RP_TELEFON' && $atr['Wartosc'])
                    {
                        $oferta->setPracodawcaTelefon($atr['Wartosc']);
                    }

                    //adres składającego ofertę pracy
                    if($atr['Nazwa'] == 'ADRES_ZGL' && (!empty($atr['Wartosc'])))
                    {
                        $wartosc = explode(",", $atr['Wartosc']);

                        $oferta->setPracodawcaUlica(str_replace('ul. ', '', $wartosc[0]));

                        $adres = explode(" ", $wartosc[1]);

                        $oferta->setPracodawcaKod(trim($adres[1]));
                        $oferta->setPracodawcaMiasto(trim($adres[2]));
                    }

                    //adres miejsca pracy
                    if($atr['Nazwa'] == 'ADRES_PRACY' && (!empty($atr['Wartosc'])))
                    {
                        if($atr['Nazwa'] == 'ADRES_PRACY' && $atr['Wartosc'])
                        {
                            @$oferta->setOfertaMiejsceWykonywaniaPracy($atr['Wartosc']);
                        }
                    }
                    else
                    {
                        if($atr['Nazwa'] == 'ADRES_ZGL' && $atr['Wartosc'])
                        {
                            @$oferta->setOfertaMiejsceWykonywaniaPracy($atr['Wartosc']);
                        }
                    }
                    //Nazwa stanowiska
                    if($atr['Nazwa'] == 'OPISSTANOWISKA' && $atr['Wartosc'])
                    {
                        $oferta->setOfertaNazwaStanowiska($atr['Wartosc']);
                    }
                    //to samo co nazwa stanowiska - moze znajdzie sie lepsza wartosc
                    if($atr['Nazwa'] == 'OPISSTANOWISKA' && $atr['Wartosc'])
                    {
                        $oferta->setOfertaNazwaZawodu($atr['Wartosc']);
                    }

                    //zmianowość
                    if($atr['Nazwa'] == 'ZMN_KODZMIANOWOSCI' && $atr['Wartosc'])
                    {
                        $oferta->setOfertaZmianowosc($atr['Wartosc']);
                    }

                    //Zakres obowiązków
                    if($atr['Nazwa'] == 'OPISPRACY' && $atr['Wartosc'])
                    {
                        $oferta->setOfertaCharakterystykaPracy('<p>'.$atr['Wartosc'].'</p>');
                    }

                    //wynagrodzenie
                    if($atr['Nazwa'] == 'KASA_OD' && $atr['Wartosc'] != '0.00')
                    {
                        $kasa_od = ' od '.$atr['Wartosc'];
                    }
                    else
                    {
                        $kasa_od = '';
                    }

                    if($atr['Nazwa'] == 'KASA_DO' && $atr['Wartosc'] != '0.00')
                    {
                        $kasa_do = ' do '.$atr['Wartosc'];
                    }
                    else
                    {
                        $kasa_do = '';
                    }

                    if(!empty($kasa_od) || !empty($kasa_do))
                    {
                        $inne .= '<p>Wynagrodzenie:'.$kasa_od.$kasa_do.'</p>';
                    }

                    if($atr['Nazwa'] == 'GODZIN_PRACY' && $atr['Wartosc'])
                        $inne .= '<p>Tygodniowa norma czasu pracy: '.(5 * intval($atr['Wartosc'])).'</p>';


                    //Czas rozpoczęcia pracy
                    if($atr['Nazwa'] == 'DATAZATR_OD' && $atr['Wartosc'])
                    {
                        $oferta->setOfertaDataRozpoczecia($atr['Wartosc']);
                    }

                    //Ilość wolnych miejsc
                    if($atr['Nazwa'] == 'LICZBAMIEJSC' && $atr['Wartosc'])
                    {
                        $oferta->setOfertaLiczbaMiejsc($atr['Wartosc']);
                    }

                    //wykształcenie
                    foreach($wpis->Wyksztalcenie as $wyksztalcenie):
                        foreach($wyksztalcenie->Pole as $pole):
                            $atr = $pole->attributes();
                            if($atr['Nazwa'] == 'WYK_KODPOZWYKSZT' && $atr['Wartosc'])
                            {
                                $oferta->setOfertaWyksztalcenie($atr['Wartosc']);
                            }
                        endforeach;
                    endforeach;

                    //sposób realizacji - otwarta/zamknięta
                    $oferta->setOfertaKategoria(1);
                    $oferta->setUzytkownikId($this->getUser()->getId());
                endforeach;
                $oferta->setOfertaInne($inne);
                $oferta->save();
            }

            if($wpis->attributes()->Operacja == 'Usuń')
            {
                foreach($wpis->Pole as $pole):
                    $atr = $pole->attributes();
                    if($atr['Nazwa'] == 'NROFERTY')
                    {

                        $c = new Criteria();
                        $c->add(OfertypracyPeer::OFERTA_NUMER, $atr['Wartosc']);
                        $oferta = OfertypracyPeer::doSelectOne($c);
                        if($oferta)
                        {
                            $ile_del++;
                            $oferta->delete();
                        }

                        $c = new Criteria();
                        $c->add(OfertypracyPubPeer::OFERTA_NUMER, $atr['Wartosc']);
                        $oferta_pub = OfertypracyPubPeer::doSelectOne($c);
                        if($oferta_pub)
                        {
                            $oferta_pub->delete();
                        }
                    }
                endforeach;
            }
        endforeach;
        $this->getUser()->setFlash('notice', 'Zaimportowano '.$ile_dodano.', oraz usunięto '.$ile_del.' ofert pracy');
        $this->redirect('ofertypracy/pulsImports');
    }

    public function executeDeletePulsImport(sfWebRequest $request)
    {
        $filename = sfConfig::get('sf_upload_dir').'/ofertypracyimportpuls/'.str_replace('__', '#', $request->getParameter('file'));
        unlink($filename);

        $this->getUser()->setFlash('notice', 'Usunięto plik importu');
        $this->redirect('ofertypracy/pulsImports');
    }

    public function executeNewSyriuszImport(sfWebRequest $request)
    {
        $file = sfConfig::get('sf_upload_dir').'/ofertypracyimport/'.str_replace('__', '#', $request->getParameter('file'));
        $content = simplexml_load_file($file);

        /* if ($content->Packet->PacketInfo->action == 'del') {
          $xml = simplexml_load_string($content->Packet->payload);
          $ile_del = 0;
          foreach ($xml->PositionProfile as $profile):
          $c = new Criteria();
          $c->add(OfertypracyPeer::OFERTA_NUMER, $profile->ProfileId->PositionNumberPL);
          $oferta = OfertypracyPeer::doSelectOne($c);
          if ($oferta) {
          $ile_del++;
          $oferta->delete();
          }

          $c = new Criteria();
          $c->add(OfertypracyPubPeer::OFERTA_NUMER, $profile->ProfileId->PositionNumberPL);
          $oferta_pub = OfertypracyPubPeer::doSelectOne($c);
          if ($oferta_pub) {
          $oferta_pub->delete();
          }
          $this->getUser()->setFlash('notice', 'Usunięto ' . $ile_del . ' ofert pracy');
          endforeach;

          $this->redirect('ofertypracy/imports');
          } */

        //if ($content->oferty_pracy->tytul == 'Aktywne oferty pracy') {
        //$xml = simplexml_load_string($content->oferty_pracy);
        $ile_dodano = 0;
        foreach($content->oferta as $profile):
            $oferta = new Ofertypracy();

            $broken = 0;
            $c = new Criteria();
            $c->add(OfertypracyPeer::IDENTYFIKATOR, $profile->identyfikator);
            $oferta_jest = OfertypracyPeer::doSelectOne($c);

            if($oferta_jest):
                $broken++;
                continue;
            endif;

            //ID oferty do bazy
            if($profile->identyfikator)
                $oferta->setIdentyfikator($profile->identyfikator);
            //Nazwa stanowiska
            if($profile->stanowisko_oferowane)
                $oferta->setOfertaNazwaStanowiska($profile->stanowisko_oferowane);
            //Numer stanowiska
            if($profile->nr_stanowiska)
                $oferta->setNrStanowiska($profile->nr_stanowiska);

            //Data wpłynięcia oferty - dodanie - publikacja
            if($profile->data_wplyniecia)
                $oferta->setPublikacjaOd($profile->data_wplyniecia);
            //Data wygaśnięcia oferty - usunięcie  - odpublikowanie
            if($profile->data_wygasniecia)
                $oferta->setPublikacjaDo($profile->data_wygasniecia);

            //Numer oferty
            if($profile->nr_oferty)
                $oferta->setOfertaNumer($profile->nr_oferty);

            //Zakres obowiązków
            if($profile->zakres_obowiazkow)
                $oferta->setOfertaCharakterystykaPracy($profile->zakres_obowiazkow);

            //Czas rozpoczęcia pracy
            if($profile->data_rozpoczecia)
                $oferta->setOfertaDataRozpoczecia($profile->data_rozpoczecia);

            //Zawód wykonywany
            if($profile->zawod_wykonywany->opis_zawodu)
                $oferta->setOfertaNazwaZawodu($profile->zawod_wykonywany->opis_zawodu);

            //Ilość wolnych miejsc
            if($profile->liczba_wolnych_miejsc)
                $oferta->setOfertaLiczbaMiejsc($profile->liczba_wolnych_miejsc);

            //Przeznaczenie ?
            if($profile->przeznaczenie):
                switch ($profile->przeznaczenie):
                    case 'Bezrobotni - osoby w szczególnej sytuacji na rynku pracy':
                        $oferta->setOfertaKategoria('1');
                        break;
                    case 'Bez ograniczeń':
                        $oferta->setOfertaKategoria('2');
                        break;
                endswitch;
            endif;
            //to powyżej to taki hack by zadowolić czas. Pomieszane przeznaczenie z kategorią :)

            $oferta->setOfertaZasieg($profile->przeznaczenie);

            //rodzaj umowy
            if($profile->rodzaj_zatrudnienia):
                switch ($profile->rodzaj_zatrudnienia):
                    case 'Nie dotyczy':
                        $oferta->setOfertaRodzajUmowy('1');
                        break;
                    case 'Umowa zlecenie':
                        $oferta->setOfertaRodzajUmowy('2');
                        break;
                    case 'Umowa o pracę na czas określony':
                        $oferta->setOfertaRodzajUmowy('3');
                        break;
                    case 'Umowa o pracę na czas nieokreślony':
                        $oferta->setOfertaRodzajUmowy('4');
                        break;
                    case 'Umowa o dzieło':
                        $oferta->setOfertaRodzajUmowy('5');
                        break;
                endswitch;
            endif;
            //zmianowosc
            if($profile->zmianowosc):
                switch ($profile->zmianowosc):
                    case 'jedna zmiana':
                        $oferta->setOfertaZmianowosc('1');
                        break;
                    case 'dwie zmiany':
                        $oferta->setOfertaZmianowosc('2');
                        break;
                    case 'trzy zmiany':
                        $oferta->setOfertaZmianowosc('3');
                        break;
                    case 'ruch ciągły':
                        $oferta->setOfertaZmianowosc('4');
                        break;
                    case 'inne':
                        $oferta->setOfertaZmianowosc('5');
                        break;
                endswitch;
            endif;

            if($profile->wynagrodzenie->kwota_wynagrodzenia_od):
                $oferta->setKwotaWynagrodzeniaOd($profile->wynagrodzenie->kwota_wynagrodzenia_od);
            endif;

            if($profile->wynagrodzenie->kwota_wynagrodzenia_do):
                $oferta->setKwotaWynagrodzeniaDo($profile->wynagrodzenie->kwota_wynagrodzenia_do);
            endif;

            if($profile->wynagrodzenie->system_wynagrodzenia):
                $oferta->setSystemWynagrodzenia($profile->wynagrodzenie->system_wynagrodzenia);
            endif;

            //sposĂłb realizacji - otwarta/zamknięta
            if($profile->typ_oferty):
                switch ($profile->typ_oferty):
                    case 'otwarta':
                        $oferta->setSposobRealizacji('0');
                        break;
                    case 'zamknięta':
                        $oferta->setSposobRealizacji('1');
                        break;
                endswitch;
            endif;
            //PFRON
            if($profile->czy_pfron):
                switch ($profile->czy_pfron):
                    case 'false':
                        $oferta->setPfron('0');
                        break;
                    case 'true':
                        $oferta->setPfron('1');
                        break;
                endswitch;
            endif;

            //Subsydiowana
            if($profile->czy_subsydiowana):
                switch ($profile->czy_subsydiowana):
                    case 'false':
                        $oferta->setSubsydiowana('0');
                        break;
                    case 'true':
                        $oferta->setSubsydiowana('1');
                        break;
                endswitch;
            endif;

            //kategoria oferty
            if($profile->kategoria_oferty)
                $oferta->setOfertaZasieg($profile->kategoria_oferty);
            //to powyżej to taki hack by zadowolić czas. Pomieszane przeznaczenie z przeznaczeniem :)
            //nazwa pracodawcy
            if($profile->pracodawca->nazwa_pracodawcy):
                $oferta->setPracodawcaNazwa($profile->pracodawca->nazwa_pracodawcy);
            else:
                $oferta->setPracodawcaNazwa('Nie podano.');
            endif;

            //NIP
            if($profile->pracodawca->nip)
                $oferta->setPracodawcaNip($profile->pracodawca->nip);

            //Adres pracodawcy
            if($profile->pracodawca->adres_pracodawcy):
                $wartosc = explode(", ", $profile->pracodawca->adres_pracodawcy);
                if(count($wartosc) > 1):

                    // kod i miasto
                    $kod_miasto = explode(" ", array_pop($wartosc));
                    if(count($kod_miasto) > 1)
                    {
                        $kod = $kod_miasto[0];
                        $miasto = $kod_miasto[1];
                    }
                    else
                    {
                        $kod = '??-???';
                        $miasto = $kod_miasto[0];
                    }

                    // ulica i miejscowosc/dzielnica
                    if(count($wartosc) > 1)
                        $wartosc[0] .= ', '.$wartosc[1];

                    $adres = str_replace('ul. ', '', $wartosc[0]);

                    $oferta->setPracodawcaUlica($adres);

                    $oferta->setPracodawcaKod($kod);
                    $oferta->setPracodawcaMiasto($miasto);

                endif;
            else:
                $oferta->setPracodawcaUlica('Nie podano.');
                $oferta->setPracodawcaKod('Nie podano.');
                $oferta->setPracodawcaMiasto('Nie podano.');
            endif;


            //pracodawca osoba kontakt
            if($profile->kontakt_pracodawca)
                $oferta->setPracodawcaOsobaKontaktowa($profile->kontakt_pracodawca->imie.' '.$profile->kontakt_pracodawca->nazwisko);

            //pracodawca osoba kontakt telefon
            if($profile->kontakt_pracodawca->telefon)
                $oferta->setPracodawcaKontaktTelefon($profile->kontakt_pracodawca->telefon);

            //pracodawca miejsce aplikowania
            if($profile->kontakt_pracodawca->miejsce_aplikowania)
                $oferta->setPracodawcaMiejsceAplikowania($profile->kontakt_pracodawca->miejsce_aplikowania);

            //pracodawca miejsce termin
            if($profile->kontakt_pracodawca->termin)
                $oferta->setPracodawcaMiejsceAplikowania($profile->kontakt_pracodawca->termin);

            //pracodawca miejsce termin
            if($profile->kontakt_pracodawca->godziny)
                $oferta->setPracodawcaMiejsceAplikowania($profile->kontakt_pracodawca->godziny);


            //Miejsce wykonywania pracy
            if($profile->miejsce_wykonywania_pracy):
                $oferta->setOfertaMiejsceWykonywaniaPracy($profile->miejsce_wykonywania_pracy);
            else:
                $oferta->setOfertaMiejsceWykonywaniaPracy('Brak informacji.');
            endif;

            //Wymagania zawodowe
            if($profile->wymagania->wymagany_zawod):
                $oferta->setWymaganiaZawodOpisZawodu($profile->wymagania->wymagany_zawod->opis_zawodu);
                $oferta->setWymaganiaZawodStaz($profile->wymagania->wymagany_zawod->staz);
                $oferta->setWymaganiaZawodWaga($profile->wymagania->wymagany_zawod->waga_wymagania);
            endif;
            //Wymagania wykształcenia
            if($profile->wymagania->wymagane_wyksztalcenie):
                $oferta->setWymaganiaWyksztalceniePoziom($profile->wymagania->wymagane_wyksztalcenie->poziom_wyksztalcenia);
                $oferta->setWymaganiaWyksztalcenieTyp($profile->wymagania->wymagane_wyksztalcenie->typ_wyksztalcenia);
                $oferta->setWymaganiaZawodWaga($profile->wymagania->wymagane_wyksztalcenie->waga_wymagania);
            endif;

            //Wymagania inne
            if($profile->wymagania->wymagana_umiejetnosc):
                $oferta->setWymaganiaUmiejetnosciUmiejetnosc($profile->wymagania->wymagana_umiejetnosc->umiejetnosc);
                $oferta->setWymaganiaUmiejetnosciWaga($profile->wymagania->wymagana_umiejetnosc->waga_wymagania);
            endif;

            $uprawnienia = '';

            if($profile->wymagania->wymagane_uprawnienie):
                //uprawnienia
                foreach($profile->wymagania->wymagane_uprawnienie as $key => $value):
                    $uprawnienia .= $value->uprawnienie.' - '.$value->waga_wymagania.'<br />';
                endforeach;
            endif;
            $oferta->setWymaganiaUprawnienia($uprawnienia);

            if($profile->aplikowanie):
                //Aplikowanie
                $oferta->setAplikacjaJezyk($profile->aplikowanie->jezyk);

                //Subsydiowana
                if($profile->aplikowanie->sposob):
                    switch ($profile->aplikowanie->sposob):
                        case 'Za pośrednictwem PUP':
                            $oferta->setAplikacjaSposob('1');
                            break;
                        case 'Bezpośrednio do pracodawcy':
                            $oferta->setAplikacjaSposob('2');
                            break;
                    endswitch;
                endif;
                $oferta->setAplikacjaDokumenty($profile->aplikowanie->wymagane_dokumenty);
            endif;
            if($profile->kontakt_pup):
                //Kontakt PUP
                $oferta->setKontaktPupNazwisko($profile->kontakt_pup->nazwisko);
                $oferta->setKontaktPupImie($profile->kontakt_pup->imie);
                $oferta->setKontaktPupTelefon($profile->kontakt_pup->telefon);
            endif;


            $oferta->setUzytkownikId($this->getUser()->getId());
            $oferta->save();
            $ile_dodano++;
        endforeach;

        if($ile_dodano == 0):
            $this->getUser()->setFlash('notice', 'Dane z tego pliku były już importowane!');
        else:
            $this->getUser()->setFlash('notice', 'Zaimportowano '.$ile_dodano.', oraz pominięto '.$broken.' duplikatów ofert pracy');
        endif;
        //}
        OfertypracyPeer::usunPrzeterminowane();
        $this->redirect('ofertypracy/imports');
    }
    
    /**
     * metoda czyszczaca i budujaca indexy Lucene
     * @author      Tomasz Glowinski, 2014
     */
    public function executeRegenerateLuceneIndex()
    {
        $mod_short = 'prac';        
        
        // czyszczenie calego idexu
        Functions::clearLuceneIndex($mod_short);
        
        // ponowne indexowanie kazdego artykulu
        $c = new Criteria();
        $c->add(OfertypracyPubPeer::STATUS, 1);
        $rs = OfertypracyPubPeer::doSelect($c);
        
        foreach($rs as $obj)
            $obj->updateLuceneIndex();
        
        sfContext::getInstance()->getConfiguration()->loadHelpers(array('I18N'));
        $this->getUser()->setFlash('notice', __('Zindeksowano '.count($rs).' artykułów.'));
        $this->redirect('ofertypracy/index');
    }
    

}
