<?php

/**
 * ofertypracy_statystyki actions.
 *
 * @package    sam3
 * @subpackage ofertypracy_statystyki
 * @author     Your name here
 */
class ofertypracy_statystykiActions extends myActions {

    public function preExecute() {
        if ( ! in_array('prac', ModulPeer::getEnabled()))
        {
            $this->forwardSecure();
        }
    }

    public function executeIndex(sfWebRequest $request)  {
        $c = new Criteria();
        
        $pager = new sfPropelPager('SyriuszStats', 20);
        $pager->setCriteria($c);
        $pager->setPage($this->getRequestParameter('strona', 1));
        $pager->init();
        $this->pager = $pager;
        
        //$this->syriusz_stats_list = SyriuszStatsPeer::doSelect(new Criteria());
    }

    protected static function cmb_by_date($a, $b) {
        if ($a['timestamp'] == $b['timestamp']) {
            return 0;
        }
        return ($a['timestamp'] > $b['timestamp']) ? -1 : 1;
    }

    protected static function cmb_by_name($a, $b) {
        if ($a['filename'] == $b['filename']) {
            return 0;
        }
        return ($a['filename'] > $b['filename']) ? -1 : 1;
    }

    public function executeSyriuszIndex(sfWebRequest $request) {
        $stat_dir = sfConfig::get('sf_upload_dir') . '/stats/syriusz/';

        $file_array = array();
        if (is_dir($stat_dir)) {
            if (opendir($stat_dir)) {
                $dh = opendir($stat_dir);
                while (($file = readdir($dh)) !== false) {
                    if (filetype($stat_dir . $file) == 'file' && stripos(strtoupper($file), ".DBF")) {
                        unset($temp_array);
                        $temp_array = array();
                        $temp_array['filename'] = $file;
                        $temp_array['filesize'] = number_format(round((filesize($stat_dir . $file) / 1024), 2), 2, ',', '');
                        $temp_array['timestamp'] = filemtime($stat_dir . $file);
                        $file_array[] = $temp_array;
                    }
                }
                closedir($dh);
            }
        }

        usort($file_array, array('ofertypracy_statystykiActions', 'cmb_by_name'));
        $this->file_array = $file_array;
    }

    public function executeSyriuszImport(sfWebRequest $request) {
        $this->forward404Unless($filename = $request->getParameter('file'), sprintf('You have to specify file to import.'));

        $stat_dir = sfConfig::get('sf_upload_dir') . '/stats/syriusz/';
        $this->forward404If(!is_file($stat_dir . $filename));

        $dbf = new dbf($stat_dir . $filename);

        $field_num = $dbf->dbf_num_field;

        $count_saved = 0;
        for ($i = 0; $i < $dbf->getRecordsNumber(); $i++) {
            if ($dbf->getRow($i)) {
                $row[$i] = $this->shiftArray($dbf->getRow($i)); //przesuwam wszystkie klucze o jeden do gory zeby mozna bylo zapisac obiekt przy uzupełnieniu danymi fromArray, bo pierwszy klucz to id
                //print_rr($row[$i]);
                $entry[$i] = new SyriuszStatsForm();
                $entry[$i]->getObject()->fromArray($row[$i], BasePeer::TYPE_NUM);
                if (!SyriuszStatsPeer::ifExist($entry[$i]->getObject())) {
                    $entry[$i]->getObject()->save();
                    $count_saved++;
                }
            }
        }
        if ($count_saved == 0) {
            $this->getUser()->setFlash('error', 'Wszystkie rekordy juz istnieją w bazie danych');
        } else {
            $this->getUser()->setFlash('notice', 'Import statystyk ukończony: ' . $count_saved . ' rekordów');
        }

        $this->redirect('ofertypracy_statystyki/syriuszIndex');
    }

    public function executeSyriuszDelete(sfWebRequest $request) {
        $this->forward404Unless($filename = $request->getParameter('file'), sprintf('You have to specify file to import.'));

        $stat_dir = sfConfig::get('sf_upload_dir') . '/stats/syriusz/';
        $this->forward404If(!is_file($stat_dir . $filename));

        $dbf = new dbf($stat_dir . $filename);

        $field_num = $dbf->dbf_num_field;

        $count_deleted = 0;
        for ($i = 0; $i < $dbf->getRecordsNumber(); $i++) {
            if ($dbf->getRow($i)) {
                $row[$i] = $this->shiftArray($dbf->getRow($i)); //przesuwam wszystkie klucze o jeden do gory zeby mozna bylo zapisac obiekt przy uzupełnieniu danymi fromArray, bo pierwszy klucz to id

                $entry[$i] = new SyriuszStatsForm();
                $entry[$i]->getObject()->fromArray($row[$i], BasePeer::TYPE_NUM);
                if (SyriuszStatsPeer::ifExist($entry[$i]->getObject())) {
                    $object = SyriuszStatsPeer::getSyriuszStatsByAllValues($entry[$i]->getObject());
                    $object->delete();
                    $count_deleted++;
                }
            }
        }

        unlink($stat_dir . $filename);

        if ($count_deleted == 0) {
            $this->getUser()->setFlash('notice', 'Skasowano pomyślnie plik');
        } else {
            $this->getUser()->setFlash('notice', 'Skasowano pomyślnie plik oraz dane z bazy');
        }

        $this->redirect('ofertypracy_statystyki/syriuszIndex');
    }

    protected function shiftArray($array) {
        $empty_array = array(0 => '');
        $temp_array = array_merge($empty_array, $array);
        unset($temp_array[0]);
        return $temp_array;
    }

    public function executeShow(sfWebRequest $request) {
        $this->syriusz_stats = SyriuszStatsPeer::retrieveByPk($request->getParameter('id'));
        $this->forward404Unless($this->syriusz_stats);
    }

    public function executeNew(sfWebRequest $request) {
        $this->form = new SyriuszStatsForm();
    }

    public function executeCreate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new SyriuszStatsForm();

        $this->processForm($request, $this->form);

        $this->setTemplate('new');
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($syriusz_stats = SyriuszStatsPeer::retrieveByPk($request->getParameter('id')), sprintf('Object syriusz_stats does not exist (%s).', $request->getParameter('id')));
        $this->form = new SyriuszStatsForm($syriusz_stats);
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
        $this->forward404Unless($syriusz_stats = SyriuszStatsPeer::retrieveByPk($request->getParameter('id')), sprintf('Object syriusz_stats does not exist (%s).', $request->getParameter('id')));
        $this->form = new SyriuszStatsForm($syriusz_stats);

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    public function executeDelete(sfWebRequest $request) {
        $request->checkCSRFProtection();

        $this->forward404Unless($syriusz_stats = SyriuszStatsPeer::retrieveByPk($request->getParameter('id')), sprintf('Object syriusz_stats does not exist (%s).', $request->getParameter('id')));
        $syriusz_stats->delete();

        $this->redirect('ofertypracy_statystyki/index');
    }

    public function executeSyriuszUpload(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post'));

        $form = new ofertyPracyStatystykiUploadForm();

        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));

        $stat_dir = sfConfig::get('sf_upload_dir') . '/stats/syriusz/';

        if ($form->isValid()) {
            $values = $form->getValues();

            if ($values['file_src'] != NULL) {
                if (!is_dir(sfConfig::get('sf_upload_dir') . '/stats')) {
                    mkdir(sfConfig::get('sf_upload_dir') . '/stats', 0775);
                }

                if (!is_dir(sfConfig::get('sf_upload_dir') . '/stats/syriusz')) {
                    mkdir(sfConfig::get('sf_upload_dir') . '/stats/syriusz', 0775);
                }

                $file = $values['file_src'];

                $filename = $file->getOriginalName();
                $extension = $file->getOriginalExtension();

                if (!is_file(sfConfig::get('sf_upload_dir') . '/stats/syriusz/' . $filename)) {
                    $file_path = sfConfig::get('sf_upload_dir') . '/stats/syriusz/' . $filename;
                    $file->save($file_path);

                    $this->getUser()->setFlash('notice', 'Wgrywanie pliku na serwer zakończono pomyślnie');
                } else {
                    $this->getUser()->setFlash('error', 'Podany plik już istnieje na serwerze');
                }
            }
        } else {
            $this->getUser()->setFlash('error', 'Niepoprawny format pliku');
        }

        $this->redirect('ofertypracy_statystyki/syriuszIndex');
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $syriusz_stats = $form->save();

            $this->redirect('ofertypracy_statystyki/edit?id=' . $syriusz_stats->getId());
        }
    }

}
