<?php

/**
 * ofertypracy actions.
 *
 * @package    sam3
 * @subpackage ofertypracy
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ofertypracyActions extends sfActions
{

    public function preExecute()
    {
        if(!in_array('prac', ModulPeer::getEnabled()))
        {
            $this->redirect('@homepage');
        }
        $culture = $this->getUser()->getCulture();
        $response = $this->getResponse();
        Functions::setAllMetasFromDb('prac', $response, $culture);
    }

    public function executeIndex(sfWebRequest $request)
    {
        $filters = array();
        $c = new CriteriaExt();
        //$c = OfertypracyPubPeer::AddByDate();

        if($request->getParameter('nazwa_zawodu') != '')
        {
            $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
            $filters[] = 'nazwa zawodu';
            $c->add(OfertypracyPubPeer::OFERTA_NAZWA_ZAWODU, '%'.$request->getParameter('nazwa_zawodu').'%', Criteria::LIKE);
        }
        else
        {
            $this->nazwa_zawodu = '';
        }

        if($request->getParameter('nazwa_pracodawcy'))
        {
            $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
            $filters[] = 'nazwa pracodawcy';
        }
        else
        {
            $this->nazwa_pracodawcy = '';
        }

        if($request->getParameter('kategoria') != '' && !is_array($request->getParameter('kategoria')))
        {
            $this->kategoria = $request->getParameter('kategoria_id');
            $filters[] = 'kategoria';
            $c->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $request->getParameter('kategoria'));
        }
        else
        {
            $this->kategoria = '';
        }

        if($request->hasParameter('page'))
        {
            $page = $request->getParameter('page');
        }
        else
        {
            $page = 0;
        }

        $pager = new sfPropelPager('OfertypracyPub', sfConfig::get('app_pages'));
        $pager->setCriteria($c);
        $pager->setPage($page);
        $pager->init();
        $this->pager = $pager;
        $this->filters = $filters;
    }

    public function executeOferta(sfWebRequest $request)
    {
        $c = new Criteria();
        $c->add(OfertypracyPubPeer::ID, $request->getParameter('id'));
        if(OfertypracyPubPeer::doSelectOne($c))
            $this->oferta = OfertypracyPubPeer::doSelectOne($c);
        else
        {
            $this->redirect('ofertypracy/index');
        }

        Functions::setMetaTitle($this->getResponse(), $this->oferta->getOfertaNazwaZawodu());
        Functions::setMetaDescription($this->getResponse(), $this->oferta->getOfertaDodatkoweInformacje());
    }

    public function executeDodaj(sfWebRequest $request)
    {
        $this->form = new OfertypracyuserForm();
    }

    public function executeCreate(sfWebRequest $request)
    {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new OfertypracyuserForm();

        $this->processForm($request, $this->form);

        $this->setTemplate('dodaj');
    }

    public function executeEdit(sfWebRequest $request)
    {
        $this->forward404Unless($ofertypracy = OfertypracyPubPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy does not exist (%s).', $request->getParameter('id')));
        $this->form = new OfertypracyuserForm($ofertypracy);
    }

    protected function processForm(sfWebRequest $request, sfForm $form)
    {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if($form->isValid())
        {
            $ofertypracy = $form->save();
            $ofertypracy->setStatus(0);
            $ofertypracy->save();
            $this->getUser()->setFlash('notice', 'Poprawnie zapisano ofertę pracy.');

            $this->redirect('ofertypracy/dodano?id='.$ofertypracy->getId());
        }
        else
        {
            $this->getUser()->setFlash('error', 'Formularz nie został zapisany z powodu błędów.');
        }
    }

    public function executeDodano(sfWebRequest $request)
    {
        
    }

    public function executeAutocompletenazwazawodu(sfWebRequest $request)
    {
        $c = new Criteria();
        $c->add(OfertypracyPubPeer::OFERTA_NAZWA_ZAWODU, '%'.$request->getParameter('nazwa_zawodu').'%', Criteria::LIKE);
        $c->addGroupByColumn(OfertypracyPubPeer::OFERTA_NAZWA_ZAWODU);
        $this->nazwa_zawodu_list = OfertypracyPubPeer::doSelect($c);
        $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
    }

    public function executeAutocompletenazwapracodawcy(sfWebRequest $request)
    {
        $c = new Criteria();
        $c->add(OfertypracyPubPeer::PRACODAWCA_NAZWA, '%'.$request->getParameter('nazwa_pracodawcy').'%', Criteria::LIKE);
        $c->addGroupByColumn(OfertypracyPubPeer::PRACODAWCA_NAZWA);
        $this->nazwa_pracodawcy_list = OfertypracyPubPeer::doSelect($c);
        $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
    }

    public function executeGetSearchForm(sfWebRequest $request)
    {
        //wyszukiwarka
        $this->disp = $request->getCookie('show_search') ? 'block' : 'none';
        $this->hash_id = $request->getParameter('hash_id');
        $this->form = new searchForm(array(), array('hash_id' => $this->hash_id));

        if($this->getUser()->hasAttribute('srch_ofertypracy'))
        {
            $srch = $this->getUser()->getAttribute('srch_ofertypracy');
            if(empty($srch['query']))
            {
                $srch['query'] = $this->getUser()->getAttribute('global_query', $this->form->getDefault('query'), 'search');
            }
            $this->form->bind($srch);
        }
    }

    public function executeSzukaj(sfWebRequest $request)
    {
        $this->form = new searchForm();
        $this->akcja = $this->getActionName();

        if($request->hasParameter('search'))
        {
            $values = $request->getParameter('search');
            $this->getUser()->setAttribute('srch_ofertypracy', $values);
        }
        else
        {
            $values = $this->getUser()->getAttribute('srch_ofertypracy');
        }

        $query = $values['query'];
        $this->getUser()->setAttribute('global_query', (empty($query) ? null : $query), 'search');
        $this->keyword = $query;

        $c = new CriteriaExt();
        $c->add(OfertypracyPubPeer::STATUS, 1);

        // LUCENE:
        $this->parser = '';
        $matches = Functions::getLuceneMatches('prac', $query, $this->parser);

        if(!empty($matches))
        {
            $c->add(OfertypracyPubPeer::ID, array_keys($matches), Criteria::IN);
            $c->addOrderByField(OfertypracyPubPeer::ID, array_keys($matches));

            $this->scores = $matches;
        }
        else
        {
            $c1 = $c->getNewCriterion(OfertypracyPubPeer::OFERTA_NAZWA_STANOWISKA, '%'.$query.'%', Criteria::LIKE);
            $c2 = $c->getNewCriterion(OfertypracyPubPeer::OFERTA_NAZWA_ZAWODU, '%'.$query.'%', Criteria::LIKE);
            $c3 = $c->getNewCriterion(OfertypracyPubPeer::PRACODAWCA_MIASTO, '%'.$query.'%', Criteria::LIKE);
            $c4 = $c->getNewCriterion(OfertypracyPubPeer::OFERTA_RODZAJ_UMOWY, '%'.$query.'%', Criteria::LIKE);
            $c5 = $c->getNewCriterion(OfertypracyPubPeer::PRACODAWCA_NAZWA, '%'.$query.'%', Criteria::LIKE);
            $c4->addOr($c5);
            $c3->addOr($c4);
            $c2->addOr($c3);
            $c1->addOr($c2);
            $c->addOr($c1);
        }

        $c->addDescendingOrderByColumn(OfertypracyPubPeer::ID);

        $pager = new sfPropelPager('OfertypracyPub', sfConfig::get('app_pages'));
        $pager->setCriteria($c);
        $pager->setPage($this->getRequestParameter('page', 1));
        $pager->init();
        $this->pager = $pager;
        $this->setTemplate('szukaj');

        //aktualizacja rejestru fraz
        if($request->isMethod(sfRequest::POST))
        {
            if($pager->getNbResults() == 0)
            {
                RejestrFraz::dodajFraze($values['query']);
            }
            else
            {
                RejestrFraz::dodajFraze($values['query'], true);
            }
        }
    }
}