<?php

/**
 * ofertypracy actions.
 *
 * @package    sam3
 * @subpackage ofertypracy
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ofertypracytvActions extends sfActions {

    public function preExecute() {
        if (!in_array('prac', ModulPeer::getEnabled())) {
            $this->redirect('@homepage');
        }
        $culture = $this->getUser()->getCulture();
        $response = $this->getResponse();
        Functions::setAllMetasFromDb('prac', $response, $culture);
    }

    public function executeIndex(sfWebRequest $request) {
        $this->kategorie = OfertypracyKategoriePeer::doSelect(new Criteria());
        $filters = array();
        $c = new Criteria();

        //$this->ofertypracy_list = OfertypracyPubPeer::doSelect(new Criteria());

        if ($request->getParameter('nazwa_zawodu') != '') {
            $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
            $filters[] = 'nazwa zawodu';
            $c->add(OfertypracyPubPeer::OFERTA_NAZWA_ZAWODU, '%' . $request->getParameter('nazwa_zawodu') . '%', Criteria::LIKE);
        } else {
            $this->nazwa_zawodu = '';
        }

        if ($request->getParameter('nazwa_pracodawcy')) {
            $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
            $filters[] = 'nazwa pracodawcy';
            $c->add(OfertypracyPubPeer::PRACODAWCA_NAZWA, '%' . $request->getParameter('nazwa_pracodawcy') . '%', Criteria::LIKE);
        } else {
            $this->nazwa_pracodawcy = '';
        }

        if ($request->getParameter('kategoria_id') != 0) {
            $this->kategoria_id = $request->getParameter('kategoria_id');
            $filters[] = 'kategoria id';
            $c->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $request->getParameter('kategoria_id'));
        } else {
            $this->kategoria_id = 0;
        }

        //aktywne oferty z wypelniona data publikacji
        $a = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_DO, date('Y-m-d H:i:s'), Criteria::GREATER_EQUAL);
        $b = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_OD, date('Y-m-d H:i:s'), Criteria::LESS_EQUAL);

        $a->addAnd($b);

        //lub oferty bez wypelnionej daty publikacji ale aktywny
        $y = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_OD, null, Criteria::ISNULL);
        $z = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_DO, null, Criteria::ISNULL);
        $y->addAnd($z);

        $a->addOr($y);

        $c->add($a);


        if ($this->getRequestParameter('sort')) {
            $this->sortuj = $this->getRequestParameter('sort');

            if ($request->getParameter('sort_type') == 'desc') {
                $this->kierunek = 'desc';
                try {
                    if ($request->getParameter('sort') == 'pracodawca_nazwa') {
                        $c->addDescendingOrderByColumn(OfertypracyPubPeer::PRACODAWCA_NAZWA);
                    } else {
                        $c->addDescendingOrderByColumn(OfertypracyPubPeer::translateFieldName($this->getRequestParameter('sort'), BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_COLNAME));
                    }
                } catch (PropelException $e) {
                    $c->addDescendingOrderByColumn(OfertypracyPubPeer::CREATED_AT);
                    $this->sortuj = 'created_at';
                }
            } else {
                $this->kierunek = 'asc';
                try {
                    if ($request->getParameter('sort') == 'nazwa') {
                        $c->addAscendingOrderByColumn(OfertypracyPubPeer::PRACODAWCA_NAZWA);
                    } else {
                        $c->addAscendingOrderByColumn(OfertypracyPubPeer::translateFieldName($this->getRequestParameter('sort'), BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_COLNAME));
                    }
                } catch (PropelException $e) {
                    $c->addAscendingOrderByColumn(OfertypracyPubPeer::CREATED_AT);
                    $this->sortuj = 'created_at';
                }
            }
        } else {
            $c->addDescendingOrderByColumn(OfertypracyPubPeer::CREATED_AT);
            $this->sortuj = 'created_at';
            $this->kierunek = 'desc';
        }

        if ($request->hasParameter('page')) {
            $page = $request->getParameter('page');
        } else {
            $page = 1;
        }



        $pager = new sfPropelPager('OfertypracyPub', 2);
        $pager->setCriteria($c);
        $pager->setPage($page);
        $pager->init();
        $this->pager = $pager;
        $this->filters = $filters;

        $this->infobar_ustawienia = UstawieniePeer::getModuleProperty('infobar');
        $this->news = AktualnoscPubPeer::getNajnowsze($this->infobar_ustawienia['infobar_news_count']);
    }

    public function executeOferta(sfWebRequest $request) {
        $c = new Criteria();
        //aktywne oferty z wypelniona data publikacji
        $a = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_DO, date('Y-m-d H:i:s'), Criteria::GREATER_EQUAL);
        $b = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_OD, date('Y-m-d H:i:s'), Criteria::LESS_EQUAL);

        $a->addAnd($b);

        //lub oferty bez wypelnionej daty publikacji ale aktywny
        $y = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_OD, null, Criteria::ISNULL);
        $z = $c->getNewCriterion(OfertypracyPubPeer::PUBLIKACJA_DO, null, Criteria::ISNULL);
        $y->addAnd($z);

        $a->addOr($y);

        $c->add($a);
        $c->add(OfertypracyPubPeer::ID, $request->getParameter('id'));
        if (OfertypracyPubPeer::doSelectOne($c))
            $this->oferta = OfertypracyPubPeer::doSelectOne($c);
        else {
            $this->redirect('ofertypracytv/index');
        }

        Functions::setMetaTitle($this->getResponse(), $this->oferta->getOfertaNazwaZawodu());
        Functions::setMetaDescription($this->getResponse(), $this->oferta->getOfertaDodatkoweInformacje());
    }

    public function executeDodaj(sfWebRequest $request) {
        $this->form = new OfertypracyuserForm();
    }

    public function executeCreate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new OfertypracyuserForm();

        $this->processForm($request, $this->form);

        $this->setTemplate('dodaj');
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($ofertypracy = OfertypracyPubPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy does not exist (%s).', $request->getParameter('id')));
        $this->form = new OfertypracyuserForm($ofertypracy);
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $ofertypracy = $form->save();
            $ofertypracy->setStatus(0);
            $ofertypracy->save();
            $this->getUser()->setFlash('notice', 'Poprawnie zapisano ofertę pracy.');

            $this->redirect('ofertypracy/dodano?id=' . $ofertypracy->getId());
        } else {
            $this->getUser()->setFlash('error', 'Formularz nie został zapisany z powodu błędów.');
        }
    }

    public function executeDodano(sfWebRequest $request) {

    }

    public function executeAutocompletenazwazawodu(sfWebRequest $request) {
        $c = new Criteria();
        $c->add(OfertypracyPubPeer::OFERTA_NAZWA_ZAWODU, '%' . $request->getParameter('nazwa_zawodu') . '%', Criteria::LIKE);
        $c->addGroupByColumn(OfertypracyPubPeer::OFERTA_NAZWA_ZAWODU);
        $this->nazwa_zawodu_list = OfertypracyPubPeer::doSelect($c);
        $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
    }

    public function executeAutocompletenazwapracodawcy(sfWebRequest $request) {
        $c = new Criteria();
        $c->add(OfertypracyPubPeer::PRACODAWCA_NAZWA, '%' . $request->getParameter('nazwa_pracodawcy') . '%', Criteria::LIKE);
        $c->addGroupByColumn(OfertypracyPubPeer::PRACODAWCA_NAZWA);
        $this->nazwa_pracodawcy_list = OfertypracyPubPeer::doSelect($c);
        $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
    }

    public function executeGetSearchForm(sfWebRequest $request) {
        $this->disp = $request->getCookie('show_search') ? 'block' : 'none';
        $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
        $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
        if ($request->getParameter('kategoria_id') != 0)
            $this->kategoria_id = $request->getParameter('kategoria_id');
        else
            $this->kategoria_id = 0;

        if ($request->getParameter('branza_id') != 0)
            $this->branza_id = $request->getParameter('branza_id');
        else
            $this->branza_id = 0;

        $this->ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());

        $ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());
        $options = array();
        $options[] = '';
        foreach ($ofertypracy_kategorie_list as $kategoria) {
            $options[$kategoria->getId()] = $kategoria->getNazwa();
        }
        $this->options = $options;
    }

    public function executeStandaolneSearcher(sfWebRequest $request) {
        //wyszukiwarka niepowiazana z glowna wyszukiwarka portalowa
    }
}
