<?php
/**
 * Skeleton subclass for representing a row from the 'ofertypracy' table.
 *
 *
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    lib.model
 */
class Ofertypracy extends BaseOfertypracy {
    public function getJunk($lang = null) {
        if (!$lang) $lang = sfPropel::getDefaultCulture();
        $zawod = $this->getOfertaNazwaZawodu($lang);
        $zawod = Functions::slugify($zawod);
        return $zawod;
    }
    public function __toString() {
        return $this->getOfertaNazwaZawodu(sfContext::getInstance()->getUser()->getCulture());
    }

    /**
     * Determine if user can edit document
     *
     * @param   myUser $user Instance of myUser object
     * @return  bool True if user can edit document, false otherwise
     */
    public function canBeEditedBy(myUser $user) {
        $permGlobal = $user->checkPermission('prac_global','edit') == 1 ? true : false;
        $isOwner = ($this->getUzytkownikId() == $user->getId());

        return $permGlobal || $isOwner;
    }

    /**
     * Determine if user can publish/unpublish document
     *
     * @param   myUser $user Instance of myUser object
     * @return  bool True if user can publish/unpublish document, false otherwise
     */
    public function canBePublishedBy(myUser $user) {
        $permGlobal = $user->checkPermission('prac_global','publish') == 1 ? true : false;
        $permUser = $user->checkPermission('prac_user','publish') == 1 ? true : false;
        $isOwner = ($this->getUzytkownikId() == $user->getId());

        return $permGlobal || ($isOwner && $permUser);
    }

    /**
     * Determine if user can delete document
     *
     * @param   myUser $user Instance of myUser object
     * @return  bool True if user can delete document, false otherwise
     */
    public function canBeDeletedBy(myUser $user) {
        $isOwner = ($this->getUzytkownikId() == $user->getId());
        if($this->jestOpublikowana()) {
            $canDelete = $this->canBePublishedBy($user);
        }
        else {
            $canDelete = $this->canBeEditedBy($user);
        }

        return $canDelete;
    }

    public function jestOpublikowana() {
        return OfertypracyPubPeer::retrieveByPk($this->getId());
    }

    public function kopiujDoPub(){
        $pub = OfertypracyPubPeer::retrieveByPK($this->getId());
        if(!$pub)$pub = new OfertypracyPub();
        $pub->fromArray($this->toArray());
        $pub->setStatus(1);
        $pub->save();
        $this->setStatus(1);
        $this->save();
    }

    public function usunZPub(){
        $pub = OfertypracyPubPeer::retrieveByPK($this->getId());
        if($pub)$pub->delete();
        $this->setStatus(0);
        $this->save();
    }
}
