<?php



class OfertypracyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.OfertypracyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(OfertypracyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(OfertypracyPeer::TABLE_NAME);
		$tMap->setPhpName('Ofertypracy');
		$tMap->setClassname('Ofertypracy');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('IDENTYFIKATOR', 'Identyfikator', 'INTEGER', false, 15);

		$tMap->addColumn('NR_STANOWISKA', 'NrStanowiska', 'VARCHAR', false, 255);

		$tMap->addColumn('PRACODAWCA_NAZWA', 'PracodawcaNazwa', 'VARCHAR', true, 255);

		$tMap->addColumn('PRACODAWCA_OSOBA_KONTAKTOWA', 'PracodawcaOsobaKontaktowa', 'VARCHAR', false, 255);

		$tMap->addColumn('PRACODAWCA_STANOWISKO', 'PracodawcaStanowisko', 'VARCHAR', false, 255);

		$tMap->addColumn('PRACODAWCA_KONTAKT_TELEFON', 'PracodawcaKontaktTelefon', 'VARCHAR', false, 255);

		$tMap->addColumn('PRACODAWCA_TELEFON', 'PracodawcaTelefon', 'VARCHAR', false, 50);

		$tMap->addColumn('PRACODAWCA_FAX', 'PracodawcaFax', 'VARCHAR', false, 50);

		$tMap->addColumn('PRACODAWCA_EMAIL', 'PracodawcaEmail', 'VARCHAR', false, 50);

		$tMap->addColumn('PRACODAWCA_ULICA', 'PracodawcaUlica', 'VARCHAR', true, 100);

		$tMap->addColumn('PRACODAWCA_KOD', 'PracodawcaKod', 'VARCHAR', true, 20);

		$tMap->addColumn('PRACODAWCA_MIASTO', 'PracodawcaMiasto', 'VARCHAR', true, 50);

		$tMap->addColumn('PRACODAWCA_NIP', 'PracodawcaNip', 'VARCHAR', false, 20);

		$tMap->addColumn('PRACODAWCA_REGON', 'PracodawcaRegon', 'VARCHAR', false, 20);

		$tMap->addColumn('PRACODAWCA_FORMA_PRAWNA', 'PracodawcaFormaPrawna', 'INTEGER', true, 2);

		$tMap->addColumn('PRACODAWCA_FORMA_KONTAKTU', 'PracodawcaFormaKontaktu', 'INTEGER', false, 2);

		$tMap->addColumn('PRACODAWCA_RODZAJ_DZIALALNOSCI', 'PracodawcaRodzajDzialalnosci', 'VARCHAR', false, 50);

		$tMap->addColumn('PRACODAWCA_LICZBA_ZATRUDNIONYCH', 'PracodawcaLiczbaZatrudnionych', 'INTEGER', false, 4);

		$tMap->addColumn('PRACODAWCA_MIEJSCE_APLIKOWANIA', 'PracodawcaMiejsceAplikowania', 'VARCHAR', false, 255);

		$tMap->addColumn('PRACODAWCA_TERMINY', 'PracodawcaTerminy', 'VARCHAR', false, 255);

		$tMap->addColumn('PRACODAWCA_GODZINY', 'PracodawcaGodziny', 'VARCHAR', false, 255);

		$tMap->addColumn('OFERTA_NAZWA_ZAWODU', 'OfertaNazwaZawodu', 'VARCHAR', true, 255);

		$tMap->addColumn('OFERTA_NAZWA_STANOWISKA', 'OfertaNazwaStanowiska', 'VARCHAR', false, 255);

		$tMap->addColumn('OFERTA_OPIS_ZAWODU', 'OfertaOpisZawodu', 'LONGVARCHAR', false, null);

		$tMap->addColumn('OFERTA_LICZBA_MIEJSC', 'OfertaLiczbaMiejsc', 'INTEGER', true, 4);

		$tMap->addColumn('OFERTA_LICZBA_MIEJSC_NIEPELNOSPRAWNI', 'OfertaLiczbaMiejscNiepelnosprawni', 'INTEGER', false, 4);

		$tMap->addColumn('OFERTA_WNIOSKOWANA_LICZBA_KANDYDATOW', 'OfertaWnioskowanaLiczbaKandydatow', 'INTEGER', false, 4);

		$tMap->addColumn('OFERTA_MIEJSCE_WYKONYWANIA_PRACY', 'OfertaMiejsceWykonywaniaPracy', 'VARCHAR', true, 255);

		$tMap->addColumn('OFERTA_DODATKOWE_INFORMACJE', 'OfertaDodatkoweInformacje', 'LONGVARCHAR', false, null);

		$tMap->addColumn('OFERTA_RODZAJ_UMOWY', 'OfertaRodzajUmowy', 'INTEGER', false, 2);

		$tMap->addColumn('OFERTA_ZMIANOWOSC', 'OfertaZmianowosc', 'INTEGER', false, 2);

		$tMap->addColumn('OFERTA_DATA_ROZPOCZECIA', 'OfertaDataRozpoczecia', 'TIMESTAMP', false, null);

		$tMap->addColumn('OFERTA_WYKSZTALCENIE', 'OfertaWyksztalcenie', 'VARCHAR', false, 255);

		$tMap->addColumn('OFERTA_STAZ_PRACY', 'OfertaStazPracy', 'VARCHAR', false, 255);

		$tMap->addColumn('OFERTA_SPECJALNOSC', 'OfertaSpecjalnosc', 'VARCHAR', false, 255);

		$tMap->addColumn('OFERTA_INNE', 'OfertaInne', 'LONGVARCHAR', false, null);

		$tMap->addColumn('OFERTA_CHARAKTERYSTYKA_PRACY', 'OfertaCharakterystykaPracy', 'LONGVARCHAR', false, null);

		$tMap->addColumn('OFERTA_ZASIEG', 'OfertaZasieg', 'VARCHAR', false, 255);

		$tMap->addColumn('PUBLIKACJA_OD', 'PublikacjaOd', 'TIMESTAMP', false, null);

		$tMap->addColumn('PUBLIKACJA_DO', 'PublikacjaDo', 'TIMESTAMP', false, null);

		$tMap->addColumn('SPOSOB_REALIZACJI', 'SposobRealizacji', 'INTEGER', true, 1);

		$tMap->addColumn('STATUS', 'Status', 'INTEGER', true, 1);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('OFERTA_NUMER', 'OfertaNumer', 'VARCHAR', false, 30);

		$tMap->addForeignKey('OFERTA_KATEGORIA', 'OfertaKategoria', 'INTEGER', 'ofertypracy_kategorie', 'ID', false, 11);

		$tMap->addForeignKey('OFERTA_BRANZA', 'OfertaBranza', 'INTEGER', 'ofertypracy_branza', 'ID', false, 11);

		$tMap->addColumn('PFRON', 'Pfron', 'INTEGER', false, 11);

		$tMap->addColumn('SUBSYDIOWANA', 'Subsydiowana', 'INTEGER', false, 11);

		$tMap->addColumn('WYMAGANIA_ZAWOD_OPIS_ZAWODU', 'WymaganiaZawodOpisZawodu', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA_ZAWOD_STAZ', 'WymaganiaZawodStaz', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA_ZAWOD_WAGA', 'WymaganiaZawodWaga', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA_WYKSZTALCENIE_POZIOM', 'WymaganiaWyksztalceniePoziom', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA_WYKSZTALCENIE_TYP', 'WymaganiaWyksztalcenieTyp', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA_WYKSZTALCENIE_WAGA', 'WymaganiaWyksztalcenieWaga', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA_UMIEJETNOSCI_UMIEJETNOSC', 'WymaganiaUmiejetnosciUmiejetnosc', 'LONGVARCHAR', false, null);

		$tMap->addColumn('WYMAGANIA_UMIEJETNOSCI_WAGA', 'WymaganiaUmiejetnosciWaga', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA_UPRAWNIENIA', 'WymaganiaUprawnienia', 'LONGVARCHAR', false, null);

		$tMap->addColumn('WYMAGANIA_INNE_WYMAGANIA', 'WymaganiaInneWymagania', 'VARCHAR', false, 255);

		$tMap->addColumn('APLIKACJA_JEZYK', 'AplikacjaJezyk', 'VARCHAR', false, 255);

		$tMap->addColumn('APLIKACJA_SPOSOB', 'AplikacjaSposob', 'VARCHAR', false, 255);

		$tMap->addColumn('APLIKACJA_DOKUMENTY', 'AplikacjaDokumenty', 'LONGVARCHAR', false, null);

		$tMap->addColumn('KONTAKT_PUP_NAZWISKO', 'KontaktPupNazwisko', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PUP_IMIE', 'KontaktPupImie', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PUP_TELEFON', 'KontaktPupTelefon', 'VARCHAR', false, 255);

		$tMap->addColumn('KWOTA_WYNAGRODZENIA_OD', 'KwotaWynagrodzeniaOd', 'INTEGER', false, 10);

		$tMap->addColumn('KWOTA_WYNAGRODZENIA_DO', 'KwotaWynagrodzeniaDo', 'INTEGER', false, 10);

		$tMap->addColumn('SYSTEM_WYNAGRODZENIA', 'SystemWynagrodzenia', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PRACODAWCA_NAZWISKO', 'KontaktPracodawcaNazwisko', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PRACODAWCA_IMIE', 'KontaktPracodawcaImie', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PRACODAWCA_TELEFON', 'KontaktPracodawcaTelefon', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PRACODAWCA_STANOWISKO', 'KontaktPracodawcaStanowisko', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PRACODAWCA_TERMIN', 'KontaktPracodawcaTermin', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PRACODAWCA_GODZINY', 'KontaktPracodawcaGodziny', 'VARCHAR', false, 255);

		$tMap->addColumn('KONTAKT_PRACODAWCA_MIEJSCE_APP', 'KontaktPracodawcaMiejsceApp', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMIAR_ZATRUD', 'WymiarZatrud', 'VARCHAR', false, 50);

		$tMap->addColumn('LICZBA_GODZIN_DZIEN', 'LiczbaGodzinDzien', 'VARCHAR', false, 5);

		$tMap->addColumn('LICZBA_GODZIN_TYDZIEN', 'LiczbaGodzinTydzien', 'VARCHAR', false, 5);

		$tMap->addColumn('GODZ_ROZP_PRACY', 'GodzRozpPracy', 'VARCHAR', false, 5);

		$tMap->addForeignKey('UZYTKOWNIK_ID', 'UzytkownikId', 'INTEGER', 'sf_guard_user', 'ID', false, 11);

	} 
} 