<?php


abstract class BaseGieldypracy extends BaseObject  implements Persistent {


  const PEER = 'GieldypracyPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $tytul_gieldy;

	
	protected $data_gieldy;

	
	protected $miejsce_gieldy;

	
	protected $stanowisko;

	
	protected $wymagania;

	
	protected $opis;

	
	protected $publikacja_od;

	
	protected $publikacja_do;

	
	protected $status;

	
	protected $kolejnosc;

	
	protected $uzytkownik_id;

	
	protected $asfGuardUser;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->status = 0;
		$this->kolejnosc = 0;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getTytulGieldy()
	{
		return $this->tytul_gieldy;
	}

	
	public function getDataGieldy($format = 'Y-m-d H:i:s')
	{
		if ($this->data_gieldy === null) {
			return null;
		}


		if ($this->data_gieldy === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->data_gieldy);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->data_gieldy, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getMiejsceGieldy()
	{
		return $this->miejsce_gieldy;
	}

	
	public function getStanowisko()
	{
		return $this->stanowisko;
	}

	
	public function getWymagania()
	{
		return $this->wymagania;
	}

	
	public function getOpis()
	{
		return $this->opis;
	}

	
	public function getPublikacjaOd($format = 'Y-m-d H:i:s')
	{
		if ($this->publikacja_od === null) {
			return null;
		}


		if ($this->publikacja_od === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->publikacja_od);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->publikacja_od, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getPublikacjaDo($format = 'Y-m-d H:i:s')
	{
		if ($this->publikacja_do === null) {
			return null;
		}


		if ($this->publikacja_do === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->publikacja_do);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->publikacja_do, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getStatus()
	{
		return $this->status;
	}

	
	public function getKolejnosc()
	{
		return $this->kolejnosc;
	}

	
	public function getUzytkownikId()
	{
		return $this->uzytkownik_id;
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = GieldypracyPeer::ID;
		}

		return $this;
	} 
	
	public function setTytulGieldy($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->tytul_gieldy !== $v) {
			$this->tytul_gieldy = $v;
			$this->modifiedColumns[] = GieldypracyPeer::TYTUL_GIELDY;
		}

		return $this;
	} 
	
	public function setDataGieldy($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->data_gieldy !== null || $dt !== null ) {
			
			$currNorm = ($this->data_gieldy !== null && $tmpDt = new DateTime($this->data_gieldy)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->data_gieldy = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = GieldypracyPeer::DATA_GIELDY;
			}
		} 
		return $this;
	} 
	
	public function setMiejsceGieldy($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->miejsce_gieldy !== $v) {
			$this->miejsce_gieldy = $v;
			$this->modifiedColumns[] = GieldypracyPeer::MIEJSCE_GIELDY;
		}

		return $this;
	} 
	
	public function setStanowisko($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->stanowisko !== $v) {
			$this->stanowisko = $v;
			$this->modifiedColumns[] = GieldypracyPeer::STANOWISKO;
		}

		return $this;
	} 
	
	public function setWymagania($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->wymagania !== $v) {
			$this->wymagania = $v;
			$this->modifiedColumns[] = GieldypracyPeer::WYMAGANIA;
		}

		return $this;
	} 
	
	public function setOpis($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->opis !== $v) {
			$this->opis = $v;
			$this->modifiedColumns[] = GieldypracyPeer::OPIS;
		}

		return $this;
	} 
	
	public function setPublikacjaOd($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->publikacja_od !== null || $dt !== null ) {
			
			$currNorm = ($this->publikacja_od !== null && $tmpDt = new DateTime($this->publikacja_od)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->publikacja_od = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = GieldypracyPeer::PUBLIKACJA_OD;
			}
		} 
		return $this;
	} 
	
	public function setPublikacjaDo($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->publikacja_do !== null || $dt !== null ) {
			
			$currNorm = ($this->publikacja_do !== null && $tmpDt = new DateTime($this->publikacja_do)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->publikacja_do = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = GieldypracyPeer::PUBLIKACJA_DO;
			}
		} 
		return $this;
	} 
	
	public function setStatus($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->status !== $v || $v === 0) {
			$this->status = $v;
			$this->modifiedColumns[] = GieldypracyPeer::STATUS;
		}

		return $this;
	} 
	
	public function setKolejnosc($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->kolejnosc !== $v || $v === 0) {
			$this->kolejnosc = $v;
			$this->modifiedColumns[] = GieldypracyPeer::KOLEJNOSC;
		}

		return $this;
	} 
	
	public function setUzytkownikId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->uzytkownik_id !== $v) {
			$this->uzytkownik_id = $v;
			$this->modifiedColumns[] = GieldypracyPeer::UZYTKOWNIK_ID;
		}

		if ($this->asfGuardUser !== null && $this->asfGuardUser->getId() !== $v) {
			$this->asfGuardUser = null;
		}

		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(GieldypracyPeer::STATUS,GieldypracyPeer::KOLEJNOSC))) {
				return false;
			}

			if ($this->status !== 0) {
				return false;
			}

			if ($this->kolejnosc !== 0) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->tytul_gieldy = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->data_gieldy = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->miejsce_gieldy = ($row[$startcol + 3] !== null) ? (string) $row[$startcol + 3] : null;
			$this->stanowisko = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->wymagania = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->opis = ($row[$startcol + 6] !== null) ? (string) $row[$startcol + 6] : null;
			$this->publikacja_od = ($row[$startcol + 7] !== null) ? (string) $row[$startcol + 7] : null;
			$this->publikacja_do = ($row[$startcol + 8] !== null) ? (string) $row[$startcol + 8] : null;
			$this->status = ($row[$startcol + 9] !== null) ? (int) $row[$startcol + 9] : null;
			$this->kolejnosc = ($row[$startcol + 10] !== null) ? (int) $row[$startcol + 10] : null;
			$this->uzytkownik_id = ($row[$startcol + 11] !== null) ? (int) $row[$startcol + 11] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 12; 
		} catch (Exception $e) {
			throw new PropelException("Error populating Gieldypracy object", $e);
		}
	}

	
	public function ensureConsistency()
	{

		if ($this->asfGuardUser !== null && $this->uzytkownik_id !== $this->asfGuardUser->getId()) {
			$this->asfGuardUser = null;
		}
	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = GieldypracyPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->asfGuardUser = null;
		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			GieldypracyPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			GieldypracyPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

												
			if ($this->asfGuardUser !== null) {
				if ($this->asfGuardUser->isModified() || $this->asfGuardUser->isNew()) {
					$affectedRows += $this->asfGuardUser->save($con);
				}
				$this->setsfGuardUser($this->asfGuardUser);
			}

			if ($this->isNew() ) {
				$this->modifiedColumns[] = GieldypracyPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = GieldypracyPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += GieldypracyPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->asfGuardUser !== null) {
				if (!$this->asfGuardUser->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->asfGuardUser->getValidationFailures());
				}
			}


			if (($retval = GieldypracyPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = GieldypracyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getTytulGieldy();
				break;
			case 2:
				return $this->getDataGieldy();
				break;
			case 3:
				return $this->getMiejsceGieldy();
				break;
			case 4:
				return $this->getStanowisko();
				break;
			case 5:
				return $this->getWymagania();
				break;
			case 6:
				return $this->getOpis();
				break;
			case 7:
				return $this->getPublikacjaOd();
				break;
			case 8:
				return $this->getPublikacjaDo();
				break;
			case 9:
				return $this->getStatus();
				break;
			case 10:
				return $this->getKolejnosc();
				break;
			case 11:
				return $this->getUzytkownikId();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = GieldypracyPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getTytulGieldy(),
			$keys[2] => $this->getDataGieldy(),
			$keys[3] => $this->getMiejsceGieldy(),
			$keys[4] => $this->getStanowisko(),
			$keys[5] => $this->getWymagania(),
			$keys[6] => $this->getOpis(),
			$keys[7] => $this->getPublikacjaOd(),
			$keys[8] => $this->getPublikacjaDo(),
			$keys[9] => $this->getStatus(),
			$keys[10] => $this->getKolejnosc(),
			$keys[11] => $this->getUzytkownikId(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = GieldypracyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setTytulGieldy($value);
				break;
			case 2:
				$this->setDataGieldy($value);
				break;
			case 3:
				$this->setMiejsceGieldy($value);
				break;
			case 4:
				$this->setStanowisko($value);
				break;
			case 5:
				$this->setWymagania($value);
				break;
			case 6:
				$this->setOpis($value);
				break;
			case 7:
				$this->setPublikacjaOd($value);
				break;
			case 8:
				$this->setPublikacjaDo($value);
				break;
			case 9:
				$this->setStatus($value);
				break;
			case 10:
				$this->setKolejnosc($value);
				break;
			case 11:
				$this->setUzytkownikId($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = GieldypracyPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setTytulGieldy($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setDataGieldy($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setMiejsceGieldy($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setStanowisko($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setWymagania($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setOpis($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setPublikacjaOd($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setPublikacjaDo($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setStatus($arr[$keys[9]]);
		if (array_key_exists($keys[10], $arr)) $this->setKolejnosc($arr[$keys[10]]);
		if (array_key_exists($keys[11], $arr)) $this->setUzytkownikId($arr[$keys[11]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(GieldypracyPeer::DATABASE_NAME);

		if ($this->isColumnModified(GieldypracyPeer::ID)) $criteria->add(GieldypracyPeer::ID, $this->id);
		if ($this->isColumnModified(GieldypracyPeer::TYTUL_GIELDY)) $criteria->add(GieldypracyPeer::TYTUL_GIELDY, $this->tytul_gieldy);
		if ($this->isColumnModified(GieldypracyPeer::DATA_GIELDY)) $criteria->add(GieldypracyPeer::DATA_GIELDY, $this->data_gieldy);
		if ($this->isColumnModified(GieldypracyPeer::MIEJSCE_GIELDY)) $criteria->add(GieldypracyPeer::MIEJSCE_GIELDY, $this->miejsce_gieldy);
		if ($this->isColumnModified(GieldypracyPeer::STANOWISKO)) $criteria->add(GieldypracyPeer::STANOWISKO, $this->stanowisko);
		if ($this->isColumnModified(GieldypracyPeer::WYMAGANIA)) $criteria->add(GieldypracyPeer::WYMAGANIA, $this->wymagania);
		if ($this->isColumnModified(GieldypracyPeer::OPIS)) $criteria->add(GieldypracyPeer::OPIS, $this->opis);
		if ($this->isColumnModified(GieldypracyPeer::PUBLIKACJA_OD)) $criteria->add(GieldypracyPeer::PUBLIKACJA_OD, $this->publikacja_od);
		if ($this->isColumnModified(GieldypracyPeer::PUBLIKACJA_DO)) $criteria->add(GieldypracyPeer::PUBLIKACJA_DO, $this->publikacja_do);
		if ($this->isColumnModified(GieldypracyPeer::STATUS)) $criteria->add(GieldypracyPeer::STATUS, $this->status);
		if ($this->isColumnModified(GieldypracyPeer::KOLEJNOSC)) $criteria->add(GieldypracyPeer::KOLEJNOSC, $this->kolejnosc);
		if ($this->isColumnModified(GieldypracyPeer::UZYTKOWNIK_ID)) $criteria->add(GieldypracyPeer::UZYTKOWNIK_ID, $this->uzytkownik_id);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(GieldypracyPeer::DATABASE_NAME);

		$criteria->add(GieldypracyPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setTytulGieldy($this->tytul_gieldy);

		$copyObj->setDataGieldy($this->data_gieldy);

		$copyObj->setMiejsceGieldy($this->miejsce_gieldy);

		$copyObj->setStanowisko($this->stanowisko);

		$copyObj->setWymagania($this->wymagania);

		$copyObj->setOpis($this->opis);

		$copyObj->setPublikacjaOd($this->publikacja_od);

		$copyObj->setPublikacjaDo($this->publikacja_do);

		$copyObj->setStatus($this->status);

		$copyObj->setKolejnosc($this->kolejnosc);

		$copyObj->setUzytkownikId($this->uzytkownik_id);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new GieldypracyPeer();
		}
		return self::$peer;
	}

	
	public function setsfGuardUser(sfGuardUser $v = null)
	{
		if ($v === null) {
			$this->setUzytkownikId(NULL);
		} else {
			$this->setUzytkownikId($v->getId());
		}

		$this->asfGuardUser = $v;

						if ($v !== null) {
			$v->addGieldypracy($this);
		}

		return $this;
	}


	
	public function getsfGuardUser(PropelPDO $con = null)
	{
		if ($this->asfGuardUser === null && ($this->uzytkownik_id !== null)) {
			$c = new Criteria(sfGuardUserPeer::DATABASE_NAME);
			$c->add(sfGuardUserPeer::ID, $this->uzytkownik_id);
			$this->asfGuardUser = sfGuardUserPeer::doSelectOne($c, $con);
			
		}
		return $this->asfGuardUser;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
		} 
			$this->asfGuardUser = null;
	}

} 